Getting Started

  1. Introduction

  2. Getting Help

  3. System Requirements

  4. Install/Uninstall ProcessMA

  5. Starting ProcessMA

  6. Auto-Start ProcessMA with Excel

  7. Registration

  8. Upgrading from Older Versions

  9. Troubleshooting

Introduction

This guide introduces you to ProcessMA. ProcessMA is a Microsoft Excel Add-in with a wide range of tools for statistical analysis, process improvement and project management.

Navigate the ProcessMA Menu in Excel (for Excel 2007 and versions after), go to Add-in ribbon first) to select the tool of your choice. A dialog box for the respective tool will be launched. Complete the dialog box and click OK to run the analysis. To select a column of data, first click inside the textbox of the target variable and then double-click on desired column name listed on the left-hand side panel. A new worksheet containing the analysis result will be created and will be placed before the data worksheet.

Getting Help

To get help on using ProcessMA, choose ProcessMA > Tools > Help to launch the help file and navigate the contents for specific tools.

System Requirements

  • CPU: Pentinum IV or equivalent

  • Memory: 512MB (1GB recommended for complex analysis)

  • Diskspace Required: 20MB

  • Operating System: Microsoft Windows 2000, XP, 2003, Vista or 7

  • Software: Microsoft Excel 2002, 2003, 2007 or 2010

Install/Uninstall ProcessMA

Install ProcessMA: Download ProcessMA setup file, run it and follow the on-screen instructions. You need to have administrator or power user rights to the computer. If you are using a computer from work, you may need to seek the assistance of your IT department.

Uninstall ProcessMA: Choose Start > All Programs > ProcessMA > Uninstall ProcessMA. For ProcessMA64, go to Control Panel > Program and Features, select ProcessMA64 Setup and click Uninstall.

Starting ProcessMA

For ProcessMA64 (Excel 64-bit), ProcessMA will start automatically when Excel is launched.

To start ProcessMA (depending on the Windows version), choose Start > All Programs > ProcessMA > ProcessMA. Excel will start automatically if it is not yet started. If Macro Security Level is set to Medium, a Security Warning dialog box will appear, click Enable Macros to start ProcessMA. Thereafter, ProcessMA can be accessed from Excel menu bar. For Excel 2000-2003, ProcessMA will be located in the menu toolbar after the Windowns menu item. For Excel 2007-2010, it will appear in the Add-Ins ribbon. Click on the ProcessMA menu to select the tool of your choice.

Setting Macro Security Level

To enable ProcessMA add-in to run in Excel, you need to set Excel's Macro Security Level to Medium (recommended) or Low. To do so, follow the steps below

For Excel 2000-2003

  1. In Excel, choose Tools > Macro > Security

  2. Click Security Level tab, select Medium or Low and click OK

  3. Restart Excel for the new setting to take effect

For Excel 2007-2010

  1. In Excel, click on the Microsoft Office button (top left corner) followed by Excel Options

  2. At the left panel, click on Trust Center. On the right panel click Trust Center Setting.

  3. Click Macro Settings and select Disable all macros with notification (recommended) or Enable all macros and click OK

  4. Restart Excel for the new setting to take effect

Auto-Start ProcessMA with Excel

For ProcessMA64 (Excel 64-bit), ProcessMA will start automatically when Excel is launched.

For Excel 32-bit, there are 2 methods to start ProcessMA automatically when you start Excel

  1. Save a copy of ProcessMA.xla in Microsoft Startup folder

  2. Add ProcessMA as an Excel add-in

Method 1: Save a copy of ProcessMA.xla in Microsoft Startup folder

If you save a copy of ProcessMA.xla in the Microsoft Office startup folder, ProcessMA will start automatically when you start Excel. First, make a copy of ProcessMA.xla file. If you install ProcessMA in the default folder, it should be located in C:\Program Files\ProcessMA. Place the copy of ProcessMA.xla in any one of the following startup folders (depending on the Window/Office version you are working on):

  • C:\Program Files\Microsoft Office\Office\OfficeXX\Xlstart

  • Win98/ME: C:\Windows\Application Data\Microsoft\Excel\Xlstart

  • Win98/ME: C:\Windows\Profiles\User name\Application Data\Microsoft\Excel\Xlstart

  • Win NT: C:\Winnt\Profiles\User name\Application Data\Microsoft\Excel\Xlstart

  • Win 2000: C:\Documents and Settings\User name\Application Data\Microsoft\Excel\XLSTART

  • Win XP: C:\Documents and Settings\User name\Application Data\Microsoft\Excel\XLSTART

  • Win Vista: C:\Users\user name\AppData\Local\Microsoft\Excel\XLStart

Method 2: Add ProcessMA as an Excel add-in

Alternatively, you can add ProcessMA as an add-in by following the step below:

For Excel 2000-2003:

  1. In Excel, choose Tools > Add-Ins and click the Browse button

  2. Browse to ProcessMA folder (default at C:\Program Files\ProcessMA), select the ProcessMA.xla file and click OK

  3. In the Add-Ins dialog box, check ProcessMA and click OK

For Excel 2007-2010:

  1. In Excel, click on the Microsoft Office button (top left corner) followed by Excel Options

  2. At the left panel, click on Add-Ins. Under Manage at the right panel, select Excel Add-ins and click Go.

  3. Click the Browse button

  4. Browse to ProcessMA folder (default at C:\Program Files\ProcessMA), select the ProcessMA.xla file and click OK

  5. In the Add-Ins dialog box, check ProcessMA and click OK

Note: Add-ins in Excel may detach itself for one reason or another. You may need to re-attach ProcessMA again if that happens.

Registration

Without registration, you can try ProcessMA for 30 days free. To unlock ProcessMA for unlimited use, you need to purchase a license key and register. To register, choose ProcessMA > Tools > Register, enter you name, company name, email and license key, then click OK. If the license key is valid, ProcessMA will be unlocked. Restart Excel to complete the registration process.

Upgrading from Older Versions

If you have an older registered version of ProcessMA, upgrading to ProcessMA 1.6 is free. To do so, follow the steps below:

  1. Uninstall existing version of ProcessMA and then reboot your computer

  2. Download and run ProcessMA 1.6 Setup file

  3. Establish internet connection on your computer (e.g. able to connect to www.microsoft.com or www.google.com)

  4. Start ProcessMA by choosing Start > All Programs > ProcessMA > ProcessMA

  5. If there is a valid existing registration, the license key will automatically transfer to the new ProcessMA

  6. If the transfer process fails, you need to register manually. In Excel, choose ProcessMA > Tools > Register and key in the old license key or serial number provided to you previously. If this fails, please contact us at tech@processma.com

Troubleshooting

Scenario Possible Solutions
ProcessMA did not appear in Excel

For ProcessMA add-in to work, you need to set Macro Security Level to Medium or Low

ProcessMA may be disabled by Excel. To re-enable ProcessMA, follow the steps below:

For Excel 2002/2003, choose Help > About Microsoft Excel, click on Disabled Items, select ProcessMA and re-enable it.

For Excel 2007, click on Microsoft Office button, click Excel Options, click Add-Ins, under Manage, select Disabled items, select ProcessMA and re-enable it.

Trial period expired prematurely

If you tampered with the system date/time setting, ProcessMA trial period may terminate prematurely. If that happens, please try ProcessMA free on another computer or purchase a license to unlock ProcessMA for unlimited use.
License key cannot be used

Each license key is unique and is allowed to register ProcessMA for 3 times maximum. Thereafter, license key will become invalid.

If you are using a license key or serial number from an older version, you need to establish an internet connection in order to validate with the server. For more information, see upgrading.
ProcessMA unregister suddenly

Each license key is unique and is allowed to register ProcessMA for a maximum of 3 times. ProcessMA may unregister itself if the license key used has been used for more than 3 times. You will need to purchase a new license key for registration.
Error when starting a new function/worksheet

Excel may generate an error if you add too many spreadsheets or call too many ProcessMA functions at one go. This bug has been resolved in Excel 2007. A workaround for Excel 2003 and version before is to save and restart the workbook before continuing.
Excel slows down

Depending on the speed of your computer, Excel may slow down if you have too many spreadsheets or large amount of data entered for analysis. To speed up processing, you can either split up the spreadsheets into different workbooks or turn Excel Calculation to Manual.
Chart did not plot all data points

Excel charts can only plot up to 32,000 data points. For large data sets, only the first 32,000 data points are plotted. and such charts are marked by *** at the start and end of the chart title.
Analysis produce an empty worksheet If the data input for analysis is not appropriate or invalid, its analysis may produce an empty worksheet. Review the help file and the data set to make sure that it is appropriate for analysis. You can also use the equivalent tool in ProcessMA Interactive as an alternative. Otherwise, if you suspect there is a bug, report to tech@processma.com.

Copyright © ProcessMA


Descriptive Statistics

Overview | How to | Example

Overview

Displays the following descriptive statistics for a given set of data:

  • Mean - represents the center of the data and is equals to sum of all observations divided by the number of observations

  • Std Dev - Standard deviation measures the degree of dispersion of the data from the mean. The greater the value, the greater the spread

  • Variance - equals to the square of standard deviation

  • Count - number of observations

  • Sum - sum of all observations

  • Min - smallest value of the data

  • 1st quartile - 25% of the data are less than or equal to this value

  • Median - 50% of the data are less than or equal to this value

  • 3rd quartile - 75% of the data are less than or equal to this value

  • Max - largest value of the data

  • Range - different between the largest and smallest value of the data

  • Mean 95% CI-L and Mean 95% CI-U - lower and upper confidence interval limits for the mean

  • Sigma 95% CI-L and Mean 95% CI-U - lower and upper confidence interval limits for the standard deviation

  • Median 95% CI-L and Mean 95% CI-U - lower and upper confidence interval limits for the median

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Descriptive Statistics

  2. In Variable, select the column containing the data

  3. Click OK

Example

You collected data on time (in minutes) to resolve a customer enquiry in a call centre. You want to describe this set of data.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Descriptive Statistics

  3. In Variable, select BJ - Time

  4. Click OK

Results & Interpretation

The call center takes a average of 7.0430 minutes to resolve a customer enquiry.


Hypothesis Test Selection

The type of hypothesis test to use depends on the nature of the investigation and the type of data available. The following figure is a simple decision tree on what type of tests to use.


1-Sample Z

Overview

The 1-Sample Z conducts a hypothesis test of the mean based on sampled data when the population standard deviation, s is known. It also calculates a confidence interval of the mean. This procedure is based on normal distribution. For larger samples (>30), the sample standard deviation may be used in the absence of the population standard deviation. For smaller samples, make sure the data is drawn from a normal distribution or the t-test may be more appropriate.

Test | Null Hypothesis, H0 | Alternate Hypothesis, H1
One-tailed | m = m0 | m < m0 or m > m0
Two-tailed | m = m0 | m <> m0

where m is the population mean and m0 is the hypothesised population mean

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Basic Statistics > 1-Sample Z

  2. In Variable, select the column containing the data (Numeric)

  3. In Test Mean, enter hypothesized population mean (Numeric)

  4. In Sigma, enter population standard deviation (Numeric, >0)

  5. In Alternate, select the appropriate alternate test

  6. In Confidence Level, enter value for confidence level (Numeric, >0 & <1)

  7. Click OK

Example

You measured the thickness of 30 new widgets made. You know that the thicknesses of these parts are normally distributed with a standard deviation of 1.4. You want to test if the population mean is 57 and also calculate a 90% confidence interval for the mean.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Basic Statistics > 1-Sample Z

  3. In Variable, select K - Thickness

  4. In Test Mean, enter 57

  5. In Sigma, 1.4

  6. In Confidence Level, enter 0.90

  7. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0.0002 < a, we will reject H0. Therefore, we conclude that there is significant evidence that the population mean is not equal to 57. We can also observe from the dotplot that the hypothesised value falls outside the 90% confidence interval for population mean (55.626, 56.467). Therefore, H0 will also be rejected for a = 0.10.


1-Sample t

Overview

The 1-Sample t conducts a hypothesis test of the mean based on sampled data when the population standard deviation, s is unknown. It also calculates a confidence interval of the mean. This procedure is based on the t-distribution which is derived from a normal distribution. It is more conservative than the Z-test for smaller sample sizes or when s is unknown.

Test | Null Hypothesis, H0 | Alternate Hypothesis, H1
One-tailed | m = m0 | m < m0 or m > m0
Two-tailed | m = m0 | m <> m0

where m is the population mean and m0 is the hypothesised population mean

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Basic Statistics > 1-Sample t

  2. In Variable, select the column containing the data (Numeric)

  3. In Test Mean, enter hypothesized population mean (Numeric)

  4. In Alternate, select the appropriate alternate test

  5. In Confidence Level, enter value for confidence level (Numeric, >0 & <1)

  6. Click OK

Example

You made measurements on 12 parts. You know that the measurements are normally distributed but the population standard deviation is unknown. You want to test if the population mean is less than 4 and calculate the 95% confidence interval for the mean.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Basic Statistics > 1-Sample t

  3. In Variable, select BK - Measurement

  4. In Test Mean, enter 4

  5. In Alternate, select Less than

  6. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0.0694 > a, we fail to reject H0. Therefore, we conclude that there is no significant evidence that the population mean is less than 4. We can also observe from the Dotplot that the hypothesised value falls within the 95% confidence interval for the population mean.


2-Sample t

Overview

The 2-Sample t conducts a hypothesis test of the difference between two population means when the population standard deviation, s is unknown. It also calculates a confidence interval of the mean. This procedure is based on the t-distribution which is derived from a normal distribution. The samples should be drawn independently from each other. For dependent samples, use the Paired t-test.

Test | Null Hypothesis, H0 | Alternate Hypothesis, H1
One-tailed | m1 - m2 = d | m1 - m2 = d or m1 - m2 > d
Two-tailed | m1 - m2 = d | m1 - m2 <> d

where m1 and m2 are the population means and d is the hypothesised difference between the population means.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Basic Statistics > 2-Sample t

  2. For data in different columns

    • In Variable 1, select the column containing the data for the first sample (Numeric)

    • In Variable 2, select the column containing the data for the second sample (Numeric)

  3. For data in single stacked column

    • In Variable, select the column containing the data for both samples (Numeric)

    • In Subgroup, select the column containing the subgroup indicator (Exactly 2 distinct values)

  4. In Test Mean Difference, enter hypothesized difference between the population means (Numeric)

  5. In Alternate, select the appropriate alternate test

  6. In Confidence Level, enter value for confidence level (Numeric, >0 & <1)

  7. Check Assume Equal Variances, if you want to assume that both populations have equal variances

  8. Click OK

Example

A tire manufacturer wants to compare the wear and tear of 2 types of new tires, A and B. Ten motorcycles were fitted with Tire A and another ten motocycles were fitted with Tire B. After 6 months, the amount of wear and tire on the tires were measured.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Basic Statistics > 2-Sample t

  3. In Variable 1, select BL - Tire-A

  4. In Variable 2, select BM - Tire-B

  5. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0.6491 > a, we fail to reject H0. Therefore, we conclude that there is no significant evidence that the wear and tear of the two types of new tires are different.


Paired t

Overview

The Paired t conducts a hypothesis test of the difference between two population means when observations are paired. It also calculates a confidence interval of the difference. This procedure is based on the t-distribution which is derived from a normal distribution. It is appropriate when the paired differences follow a normal distribution. If the observations are dependent in a pairwise manner, the matching results in smaller variance and greater power of detecting differences than the 2-sample t.

Test | Null Hypothesis, H0 | Alternate Hypothesis, H1
One-tailed | md = mD | md < mD or md > mD
Two-tailed | md = mD | md <> mD

where md is the population mean of the differences and mD is the hypothesized mean of the differences

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Basic Statistics > Paired-t

  2. In Variable 1, select the column containing the data for the first sample (Numeric)

  3. In Variable 2, select the column containing the data for the second sample (Numeric, same number of data points as Variable 1)

  4. In Test Mean Difference, enter hypothesized difference between the population means (Numeric)

  5. In Alternate, select the appropriate alternate test

  6. In Confidence Level, enter value for confidence level (Numeric, >0 & <1)

  7. Click OK

Example

A tire manufacturer wants to compare 2 types of tires, A and B. Ten motorcycles were fitted with each type of tires in random (either front or back). After 6 months, the amount of wear and tire on the tires were measured. You want to use a Paired t procedure as it removes the variation due to difference between motorcycles.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Basic Statistics > Paired-t

  3. In Variable 1, select BL - Tire-A

  4. In Variable 2, select BM - Tire-B

  5. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0.025 < a, we will reject H0. Therefore, we conclude that there is significant evidence that the two types of tires wear out differently.


1 Proportion

Overview

The 1 Proportion conducts a hypothesis test and calculates a confidence interval of the population proportion. It is a test of one binomial proportion.

Test | Null Hypothesis, H0 | Alternate Hypothesis, H1
One-tailed | p = p0 | p < p0 or p > p0
Two-tailed | p = p0 | p <> p0

where p is the population proportion and p0 is the hypothesised value

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Basic Statistics > 1 Proportion

  2. For Summarized Data:

    1. In No. of Trials, enter the number of trials (Integer, >=Successes)

    2. In No. of Successes, enter the number of successes within the set of trials (Integer, >=0)

  3. For Raw Data:

    1. In Variable, select the column containing the raw data (Exactly 2 distinct values, success and failure)

  4. In Test Proportion, enter hypothesized proportion (Numeric, >0 & <1)

  5. In Alternate, select the appropriate alternate test

  6. In Confidence Level, enter value for confidence level (Numeric, >0 & <1)

  7. Click OK

Example

A telecommunication company recently launched a new customer help service. The company conducted a customer survey to find out if customer satisfaction has improved from last year’s 68%. 860 customers were randomly selected for the survey and of which 590 were satisfied.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Basic Statistics > 1 Proportion

  3. Click Summarized Data

  4. In No. of Trials, enter 860

  5. In No. of Successes, enter 590

  6. In Test Proportion, enter 0.68

  7. In Alternate, select Greater than

  8. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0.3519 > a, we fail to reject H0. Therefore, we conclude that there is no significant evidence that customer satisfaction has improved.


2 Proportions

Overview

The 2 Proportions conducts a hypothesis test of the difference between two proportions and calculates a confidence interval.

Test | Null Hypothesis, H0 | Alternate Hypothesis, H1
One-tailed | p1 - p2 = p0 | p1 - p2 < p0 or p1 - p2 > p0
Two-tailed | p1 - p2 = p0 | p1 - p2 <> p0

where p1 and p2 are the proportions of success in populations 1 and 2 respectively, and p0 is the hypothesized difference between the two proportions.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Basic Statistics > 2 Proportion s

  2. For Summarized Data:

    1. In No. of Trials (1), enter the number of trials for the first sample (Integer, >=Successes)

    2. In No. of Successes (1), enter the number of successes within the set of trials for the first sample (Integer, >=0)

    3. In No. of Trials (2), enter the number of trials for the second sample (Integer, >=Successes)

    4. In No. of Successes (2), enter the number of successes within the set of trials for the second sample (Integer, >=0)

  3. For Raw Data:

    1. In Variable 1, select the column containing the raw data for the first sample (Exactly 2 distinct values, success and failure)

    2. In Variable 2 , select the column containing the raw data for the second sample (Exactly 2 distinct values, success and failure)

  4. In Test Difference , enter hypothesized proportion (Numeric, >-1 & <1)

  5. In Alternate, select the appropriate alternate test

  6. In Confidence Level, enter value for confidence level (Numeric, >0 & <1)

  7. Click OK

Example

You are the property manager and you need to decide whether to change the brand of light bulb you are using for the entire building. You want to use the brand of light bulbs that blow their fuses less often. You installed 400 light bulbs of the existing brand and 600 light bulbs of the new brand. After two months, you found out that 45 light bulbs of the existing brand 71 light bulbs of the new brand blew their fuses.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Basic Statistics > 2 Proportions

  3. Click Summarized Data

  4. In No. of Trials (1), enter 400

  5. In No. of Successes (1), enter 45

  6. In No. of Trials (2), enter 600

  7. In No. of Successes (2), enter 71

  8. In Alternate, select Less than

  9. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0.3884 > a, we fail to reject H0. Therefore, we conclude that there is no significant evidence that the new brand of light bulbs blow their fuses less often the existing brand.


Chi-Square and Contingency Table

Overview

The c2 procedure tests if there is association between the classification of one variable and the classification of another variable. The data must be summarized and presented in a table form where the cells contains frequency counts for various levels. The null hypothesis states that no association exists. ProcessMA highlights to you the number of cells with expected frequencies less than 5. This is because the chi-square test may not be reliable is more than 20% of the cells are less than 5 and especially when they have a significant contribution to chi-square statistics (small p value). An alternative method is to combine categories so that cells with small expected frequencies are treated as one.

Note: Limited to 10 variables at one time.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Basic Statistics > Chi-Square and Contingency Table

  2. In Variables, select the columns containing the data (Numeric, >=2 Variables)

  3. In Label, select column containing row labels for the variables

  4. Click OK

Example

You want to find out if there is a connection between age group and flavours of biscuits they like. You surveyed 200 people and recorded the number of people that chose the different flavours they like.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Basic Statistics > Chi-Square and Contingency Table

  3. In Variables, select BZ - Chocolate, CA - Strawberry, CB - Vanilla

  4. In Label, select BY - Age

  5. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0. 438> a, we fail to reject H0. Therefore, we conclude that there is no significant evidence that age and their liking for different flavours of biscuits are related.


Chi-Square Goodness-of-Fit Test

Overview

Chi-Square Goodness of Fit (GOF) tests if the data follows a multi-nominal distribution with certain proportions. If the proportions are not specified, the categories are assumed to have equal proportions. You can also specify assumed proportions to test. ProcessMA GOF can analyze raw or summarized data. In the case of raw data, the frequency count can be left empty (assumed = 1) and specified proportions for each category must be the same. Note that the chi-square may not be reliable if the expected frequency of any category is less than 5.

Null Hypothesis, H0 | Alternate Hypothesis, H1
Data follow a multi-nomial distribution with certain proportions | Data do not follow a multi-nomial distribution with certain proportions

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Basic Statistics > Chi-Square Goodness-of-Fit Test

  2. In Category, select the column containing the categorical data (>= 2 distinct values)

  3. In Frequency, select the column containing frequency counts (Positive integer)

  4. In Proportions, select the column containing block levels (Optional, Numeric, >0 & <1)

  5. Click OK

Example

You want to assess if the new student’s interests in the different faculties are similar to the previous year. You have collected data on 300 new student’s interest.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. In Category, select BV - Interest

  3. In Frequency, select BW - Count

  4. In Proportions, select BX - Probability

  5. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0.003 < a, we can reject H0 and conclude that the interest in different faculties for the new students is different from the previous year.


Correlation

Overview

Correlation calculates the Pearson product moment correlation coefficients for each pair of variables and it is used to test if variables are correlated. The correlation coefficient measures the magnitude of the linear relationship between two variables and it ranges from -1 and +1. If two variables are perfectly correlated such that when one variable increases, the other increases as well, the correlation coefficient is +1. On the other hand, if one variable increase while the other decreases, the correlation coefficient is negative.

Note: Limited to 10 variables at one time.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Basic Statistics > Correlation

  2. In Variables, select the columns containing the data (Numeric, >=2 Variables)

  3. Click OK

Example

You have data on the sales revenue, number of sales representatives on the field, the amount spent on marketing and the range of products offered. You want to find out if there are correlated.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Basic Statistics > Correlation

  3. In Variables, select G - Sales, H - Reps, I - Marketing, J - Products

  4. Check Plot Partial

  5. Click OK

Results & Interpretation

Except between Marketing and Products, low p-values suggest that correlations among variables are not zero.


Covariance

Overview

This tool calculates the covariance for each pair of variables and can be used to measure the relationship between two variables. Unlike Pearson correlation coefficient, covariance value is not standardized using standard deviation of the pair of variables.

Note: Limited to 10 variables at one time.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Basic Statistics > Covariance

  2. In Variables, select the columns containing the data (Numeric, >=2 Variables)

  3. Click OK

Example

You have data on the sales revenue, number of sales representatives on the field, the amount spent on marketing and the range of products offered. You want to find out if there are correlated.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Basic Statistics > Covariance

  3. In Variables, select G - Sales, H - Reps, I - Marketing, J - Products

  4. Check Plot Partial

  5. Click OK

Results & Interpretation

Copyright © ProcessMA


One-Way ANOVA

Overview

The One-Way Analysis of Variance (ANOVA) is like an extension of the two-sample t-test. It is use to compare the equality of more than two means. The residuals and fitted values of the response are shown in Columns AA:AB.

Null Hypothesis, H0 | Alternate Hypothesis, H1
m1 = m2 = ... = mi | m1 <> m2 <> ... <> mi

where mi are the means of population i

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > ANOVA > One-Way ANOVA

  2. For data in single stacked column

    • In Variable, select the column containing the response data (Numeric)

    • In Factor, select the column containing factor levels (>=2 levels)

  3. For data in different columns

    • In Variables, select the columns containing the response data (Numeric, >= 2 variables)

  4. In Confidence Level, enter the desired confidence level for the confidence interval (Numeric, >0 & <1)

  5. Check Show Boxplot, if you want to display boxplot of the data

  6. Check Plot Residual, if you want to display residual plots

  7. Click OK

Example

A company makes steel bolts using four different machines. You want to assess if the dimensions of the steel bolts made are the same for the different machines. You randomly selected 50 steel bolts made by each machine.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > ANOVA > One-Way ANOVA

  3. In Variable, select B - Dimension

  4. In Factor, select C - Machine

  5. Check Show Boxplot

  6. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0.3068> a, we fail to reject H0. Therefore, we conclude that there is no significant evidence that the dimensions of the steel bolts made by the different machines are different. It can also be observed from the individual confidence intervals that there are significant overlaps. The residual plots should also be examined to ensure that the residuals are normally distributed, centered about zero and random.


Two-Way ANOVA

Overview

The Two-Way Analysis of Variance tests the equality of means of populations classified by two factors. It requires the data to be balanced (all factor combinations must have the same number of observations). The residuals and fitted values of the response are shown in Columns AA:AB.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > ANOVA > Two-Way ANOVA

  2. In Variable, select the column containing the response data (Numeric)

  3. In Factor 1, select the column containing first factor levels (>=2 levels)

  4. In Factor 2 , select the column containing second factor levels (>=2 levels)

  5. Check Additive Model, if you want to fit the model without the interaction term

  6. In Confidence Level, enter the desired confidence level for the confidence interval (Numeric, >0 & <1)

  7. Check Show Boxplot, if you want to display boxplot of the data

  8. Check Plot Residual, if you want to display residual plots

  9. Click OK

Example

You conducted an experiment to study how well organisms multiple in different temperatures and in the presence of different catalysts. You prepared 18 dishes of organisms and placed them at three different temperatures and added three different types of catalyst. You recorded the number of organism in each dish after 10 days. You want to use the Two-Way ANOVA to test if there is significant evidence of main and interactions effects.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > ANOVA > Two-Way ANOVA

  3. In Variable, select L - Organism

  4. In Factor 1 , select M - Temperature

  5. In Factor 2 , select N - Catalyst

  6. Click OK

Results & Interpretation

For a desired a = 0.05, there is no significant evidence for the temperature and temperature*catalyst interaction effects. There is significant evidence for the catalyst main effects on the growth of the organisms since p = 0.002 < a. From the confidence interval, it suggests that catalyst B promotes the growth of the organism more than the other two.


Fully Nested ANOVA

Overview

This tool performs a fully nested analysis of variance and estimates the variance components for the response variable. For unbalanced design, F values and P values will not be calculated. The design must be hierarchically nested with fixed factors. To use this tool, response variables and factors must be presented in columns. Factors must have at least 2 distinct levels and need not be balanced to analysis. The residuals and fitted values of the response are shown in Columns AA:AB.

Note: Limited to 10 variables at one time.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > ANOVA > Fully Nested ANOVA

  2. In Response, select the column containing the response data

  3. In Term 1 to Term 10 , select the column containing data for the respective model terms (>= 2 distinct values)

  4. Check Plot Residuals, to display residual plots

  5. Click OK

Example

You want to identify the sources of variability in the making of concrete. You conduct an experiment and measure strength of the concrete for four mixes over four different batches. You take three measurements at each batch. You want to use Fully Nested ANOVA to analyze your data.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > ANOVA > Fully Nested ANOVA

  3. In Response, select BG - Strength

  4. In Term 1, select BH - Mix

  5. In Term 2, select BI - Batch

  6. Click OK

Results & Interpretation

The ANOVA table indicates that there is significant evidence for mix and batch main effects at a = 0.05, since p < 0.05. The variance component estimates indicate that the variability attributable to mix and batch are 17.6% and 8.3% of the total variability respectively.


General Linear Model

Overview

General Linear Model (GLM) is used to perform univariate analysis of variance with balanced and unbalanced designs and regression for the response variable. It is commonly used to analyze data of experimental designs. The residuals and fitted values of the response are shown in Columns AA:AB.

Response variables and terms must be presented in columns. Covariates must be numeric and factors must have at least 2 distinct levels. The Model can include factors, covariates, interactions and nested term. Multiple terms must be separated by commas. Use * to represent interactions and () to represent nesting. The model must be hierachical, if an interaction term is included, all lower order interactions and main terms must also be included.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > ANOVA > General Linear Model

  2. In Response, select the column containing the response data

  3. In Term 1 to Term 10 , select the column containing data for the respective model terms and choose if the term is a covariate or a factor (Covariate: Numeric)

  4. In Model, enter the terms to be included in the model. Multiple terms must be separated by commas. Use * to represent interactions and () to represent nesting. Model must be hierachical

  5. Check Plot Residuals, to display residual plots

  6. Click OK

Example

You conducted an experiment to study the effect of material type and blade size on the wind generated by an electric fan. There are 3 types of materials and 3 blade sizes. The material type is a fixed factor and the blade size is a covariate.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > ANOVA > General Linear Model

  3. In Response, select BD - Wind

  4. In Term 1, select BE - Material and choose Factor

  5. In Term 2, select BF - BladeSize and choose Covariate

  6. In Model, enter Material, BladeSize, Material*BladeSize

  7. Click OK

Results & Interpretation

From the ANOVA table, all the p-values are less than 0.005 which indicate that there are significant evidences on the effects. The R-sq shows that the model explains 89.7% of the variance in wind.


Analysis of Means

Overview

Analysis of Means (ANOM) is used to test the equality of population means and it's function is similar to ANOVA. An ANOM chart looks like a control chart and is used to detect population means that are different from others. You can assume if the response data follows a Normal, Binomial distribution or Poisson distribution. For Normal distribution, you can also choose between the one-way or two-way design.

For Normal data, one-way designs can be balanced or unbalanced and two-way designs must be balanced.

For Binomial data, the sample size must be sufficiently large to ensure a valid Normal approximately to Binomial since decision limits are based on Normal distribution. Therefore, a general rule to use ANOM for Binomial data is where np > 5 and n(1-p) > 5, where n is the sample size and p is the proportion of defectives

For Poisson data, the sample size must be constant. The Poisson mean must also be sufficiently large to ensure a valid Normal approximately to Poisson since decision limits are based on Normal distribution. Therefore, a general rule to use ANOM for Poisson data, the mean of the Poisson distribution is >=5.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > ANOVA > Analysis of Means

  2. For Normal (1 Factor):

    1. In Variable, select the column containing the response data (Numeric)

    2. In Factor 1, select the column containing factor levels (>=2 levels)

  3. For Normal (2 Factors):

    1. In Variable, select the column containing the response data (Numeric)

    2. In Factor 1, select the column containing first factor levels. Two-way designs must be balanced (>=2 levels)

    3. In Factor 2 , select the column containing second factor levels (>=2 levels)

  4. For Binomial:

    1. In Variable, select the column containing the response data (Integer, >=0, Up to 500 rows)

    2. In Sample Size, enter the sample size (Positive integer)

  5. For Poisson:

    1. In Variable, select the column containing the response data (Integer, >=0, Up to 500 rows)

  6. In Alpha Level, enter a value for the error rate (Numeric, >0 & <1)

  7. Click OK

Example

You conducted an experiment to study how well organisms multiple in different temperatures (Factor 1) and in the presence of different catalysts (Factor 2). You prepared 18 dishes of organisms and placed them at three different temperatures and added three different types of catalyst. You recorded the number of organism in each dish after 10 days.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > ANOVA > Analysis of Means

  3. For Normal (1 Factor):

    1. In Variable, select L - Organism

    2. In Factor 1, select M - Temperature

  4. For Normal (2 Factors):

    1. In Variable, select L - Organism

    2. In Factor 1, select M - Temperature

    3. In Factor 2 , select N - Catalyst

  5. For Binomial:

    1. In Variable, select L - Organism

    2. In Sample Size, enter 1000

  6. For Poisson:

    1. In Variable, select L - Organism

  7. Click OK

Results & Interpretation

For normal data with one factor (temperature): The main effects are within the decision limits, indicating no significant evidence of main effects.

For normal data with 2 factors: The interactions effects are within the decision limits, indicating no significant evidence of interaction. For the main effects, The main effects for level 2 and 3 of Factor 2 (Catalyst) are outside the decision limits, indicating that these means are different from the grand mean.

For Binomial data: The samples that falls outside the decision limits indicate that the sample is different from the grand mean.

For Poisson data: The samples that falls outside the decision limits indicate that the sample is different from the grand mean.


Test of Equal Variances

Overview

The Test of Equal Variances conducts hypothesis tests for the equality variances using F, Bartlett's and Levene's tests. The F Test is performed in place of the Bartlett's test when there are only two levels. Many statistical procedures like ANOVA and 2-Sample t-test assumes that samples are taken from populations with equal variances. This procedure can be used to valid this assumption.

Null Hypothesis, H0 | Alternate Hypothesis, H1
s12 = s22 = ... = si2 | s12 <> s22 <> ... <> si2

where si2 are the variances of population i

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > ANOVA > Test of Equal Variances

  2. For data in single stacked column

    • In Variable, select the column containing the response data (Numeric)

    • In Factor, select the column containing factor levels (>=2 levels)

  3. For data in different columns

    • In Variables, select the columns containing the response data (Numeric, >= 2 variables)

  4. In Confidence Level, enter the desired confidence level for the confidence interval (Numeric, >0 & <1)

  5. Check F-Test or Barlett's, if you want to perform the f-test (factor with 2 levels) or Barlett's test

  6. Check Levene's, if you want to perform the Levene's test

  7. Click OK

Example

A company makes steel bolts using four different machines. You want to assess if the variation in dimensions of the steel bolts made are the same for the different machines. You randomly selected 50 steel bolts made by each machine.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > ANOVA > Test of Equal Variances

  3. In Variable, select B - Dimension

  4. In Subgroup, select C - Machine

  5. Check F-Test or Barlett's

  6. Check Levene's

  7. Click OK

Results & Interpretation

The p-value of the tests is 0.3735 and 0.401 for Barlett’s and Levene’s tests respectively. For a desired a of 0.05, since p > a, we fail to reject H0. Therefore, we conclude that there is no significant evidence that the variances are different.


Regression (Single Predictor)

Overview

This procedure performs regression with a single predictor, in linear, second-order or third-order polynomial terms. The residuals and fitted values of the response are shown in Columns AC:AD.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Regression > Regression (Single Predictor)

  2. In Response, select the column containing the response data (Numeric)

  3. In Predictor, select the column containing the predictor data (Numeric)

  4. In Model, choose the order of the regression equation

  5. Check Plot Residual, if you want to display residual plots

  6. Check Plot Fitted Line, if you want to display the fitted line plot

  7. Check Show Confidence Bands, if you want to plot confidence bands in the fitted line plot

  8. Check Show Prediction Bands, if you want to plot prediction bands in the fitted line plot

  9. In Confidence Level, enter the desired confidence level (Numeric, >0 & <1)

  10. Click OK

Example

You want to model the relationship between the size of the valve and the speed of the machine using a quadratic model. You collected data on various settings of the valve size and the resultant speed of the machine.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Regression > Regression (Single Predictor)

  3. In Response, select O - Speed

  4. In Predictor, select P - Valve

  5. In Model, choose Quadratic

  6. Check Plot Residual

  7. Check Plot Fitted Line

  8. Check Show Confidence Bands

  9. Check Show Prediction Bands

  10. Click OK

Results & Interpretation

The p value for the model suggests a good fit to the data. The R2 value indicates that about 94% of the variation in speed is explained by the variation in the valve size. The 95%CL lines are the confidence limits for the machine speed and the 95% PL lines are the prediction limits for new observations.


Regression (Multiple Predictors)

Overview

This tool performs regression to study and model the relationship between the response and one or more predictors. ProcessMA Regression using the least squares method which minimizes the sum of squared errors to get parameter estimates. The residuals and fitted values of the response are shown in Columns AA:AB.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Regression > Regression (Multiple Predictors)

  2. In Response, select the column containing the response data (Numeric)

  3. In Predictors, select the columns containing the predictors data (Numeric)

  4. Check Fit Intercept, to fit a constant term (y-intercept). Otherwise the model will go through the origin

  5. Check SSeq, to calculate sequential sum of squares

  6. Check Show VIF, to calculate variance inflation factors, a measure of multicollinearity among predictors

  7. Check Show Durbin-Watson, to calculate Durbin-Watson statistics, detects the autocorrelation in the residuals

  8. Check Show Predicted SS and R-Sq, if you want to calculate the predicted sum of squares and R-Sq

  9. Check Plot Residual, if you want to display residual plots

  10. Click OK

Example

You know that sales revenue is dependent on the number of sales representative on the field, the amount spend on marketing and the range of products offered. You gathered data from 30 branches and you want to model the relationship and also predict the sales for the new branch.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Regression > Regression (Multiple Predictors)

  3. In Response, select G - Sales

  4. In Predictors, select H - Reps, I - Marketing, J - Products

  5. Click OK

Results & Interpretation

The p values for number of representatives and product range is small, indicating that there is significant evidence that the coefficients of these predictors are not zero. The p value for amount spent on marketing is 0.874, indicating that there is no significant evidence that its coefficient is not zero. There, the amount spent on marketing will not contribute much to the prediction of sales revenue.


Binary Logistic Regression

Overview

Logistic regression is used to study the relationship between a response variable and its predictor(s), where the response variable is categorical. Binary Logistic Regression is used to perform logistic regression on a response variable that is binary. Examples of a binary variable is such as Yes/No, Fail/Pass, etc. This tool can also generate diagnostic plots which can be used to identify data that are not well fitted.

Response variables and terms must be presented in columns. Covariates must be numeric and factors must have at least 2 distinct levels. The Model can include factors, covariates, interactions and nested term. Multiple terms must be separated by commas. Use * to represent interactions and () to represent nesting. The model must be hierachical, if an interaction term is included, all lower order interactions and main terms must also be included.

ProcessMA uses maximum likelihood estimates to model parameters.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Regression > Binary Logistic Regression

  2. In Response, select the column containing the response data (Exactly 2 distinct values)

  3. In Term 1 to Term 10 , select the column containing data for the respective model terms and choose if the term is a covariate or a factor (Covariate: Numeric)

  4. In Model, enter the terms to be included in the model.

  5. In Event, choose the reference event of the response

  6. In Link Function, choose the function to fit the response model

  7. Check Plot Diagnostic, to display diagnostic plots of Delta chi-square, Delta deviance, Delta beta (Standardised) and Delta beta

  8. Click OK

Example

You want to understand the effect of number of hours of sleep and smoking on blood pressure. You classified the blood pressure into Good and No Good.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Regression > Binary Logistic Regression

  3. In Response, select AH - Pressure

  4. In Term 1, select AI - Sleep Hours and choose Covariate

  5. In Term 2, select AJ - Smoker and choose Factor

  6. In Model, enter Sleep Hours, Smoker

  7. In Event, choose Good

  8. Click OK

Results & Interpretation

From the logistic regression table, you can obtain the coefficients for the regression model. In additions, the p values for Sleep Hours and Smoker are less than 0.05 which indicates that there is sufficient evidence that their coefficients are not zero.


Ordinal Logistic Regression

Overview

Logistic regression is used to study the relationship between a response variable and its predictor(s), where the response variable is categorical. Ordinal Logistic Regression is used to perform logistic regression on a response variable that has 3 or more levels and these levels have a natural ordering. Examples of an ordinal variable is such as Agree/Neutral/Disagree and Small/Medium/Large/Extra Large.

Response variables and terms must be presented in columns. Covariates must be numeric and factors must have at least 2 distinct levels. The Model can include factors, covariates, interactions and nested term. Multiple terms must be separated by commas. Use * to represent interactions and () to represent nesting. The model must be hierachical, if an interaction term is included, all lower order interactions and main terms must also be included.

ProcessMA uses maximum likelihood estimates to model parameters.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Regression > Ordinal Logistic Regression

  2. In Response, select the column containing the response data

  3. In Term 1 to Term 10 , select the column containing data for the respective model terms and choose if the term is a covariate or a factor (Covariate: Numeric)

  4. In Model, enter the terms to be included in the model.

  5. In Link Function, choose the function to fit the response model

  6. Click OK

Example

You want to understand the effect of amount of pesticides and humidity on the life span of mosquitoes. You have classified life span as 1 (< 2 day), 2 (2 to 4 days) and 3 (4 to 6 days).

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Regression > Ordinal Logistic Regression

  3. In Response, select AK - Lifespan

  4. In Term 1, select AL - Pesticide and choose Covariate

  5. In Term 2, select AM - Humidity and choose Factor

  6. In Model, enter Pesticide, Humidity

  7. Click OK

Results & Interpretation

From the logistic regression table, you can obtain the coefficients for the regression model. Constant(1) and Constant(2) are estimated intercept for lifepan 1 and 2 respectively. The p value for Humidity is 0.795 which indicates that there is insufficient evidence to conclude that humidity have an effect on mosquito population.


Nominal Logistic Regression

Overview

Logistic regression is used to study the relationship between a response variable and its predictor(s), where the response variable is categorical. Nominal Logistic Regression is used to perform logistic regression on a response variable that has 3 or more levels and these levels have no natural ordering. Examples of an nominal variable is such as North/South/East/West and Blue/Red/Green/Yellow.

Response variables and terms must be presented in columns. Covariates must be numeric and factors must have at least 2 distinct levels. The Model can include factors, covariates, interactions and nested term. Multiple terms must be separated by commas. Use * to represent interactions and () to represent nesting. The model must be hierachical, if an interaction term is included, all lower order interactions and main terms must also be included.

ProcessMA uses maximum likelihood estimates to model parameters.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Regression > Nominal Logistic Regression

  2. In Response, select the column containing the response data

  3. In Term 1 to Term 10 , select the column containing data for the respective model terms and choose if the term is a covariate or a factor (Covariate: Numeric)

  4. In Model, enter the terms to be included in the model.

  5. In Event, choose the reference event of the response

  6. Click OK

Example

You want to understand the type of sports people like to play and how is this associated with their gender and age.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Regression > Nominal Logistic Regression

  3. In Response, select AN - Sports

  4. In Term 1, select AO - Gender and choose Factor

  5. In Term 2, select AP - Age and choose Covariate

  6. In Model, enter Gender, Age

  7. In Event, choose Golf

  8. Click OK

Results & Interpretation

From the logistic regression table, you can obtain the coefficients for the regression model. There are two sets of parameter estimates, Squash and Tennis as compared to Golf.


1-Sample Sign

Overview

The 1-Sample Sign is a nonparametric test of population location (median) and also calculates the corresponding point estimate and confidence interval. Its parametric counterpart is the 1-sample Z and 1-sample t tests. Nonparametric tests do not make assumptions that the population is from a specific distribution. Therefore its results are more robust than a parametric test when such assumptions are violated.

Test | Null Hypothesis, H0 | Alternate Hypothesis, H1
One-tailed | m = m0 | m < m0 or m > m0
Two-tailed | m = m0 | m <> m0

where m is the population median and m0 is the hypothesised population median

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Nonparametric > 1-Sample Sign

  2. In Variable, select the column containing the data (Numeric)

  3. In Test Median, enter hypothesized population median (Numeric)

  4. In Alternate, select the appropriate alternate test

  5. In Confidence Level, enter value for confidence level (Numeric, >0 & <1)

  6. Click OK

Example

You are a school teacher and you want to find out if the median score for the English test has improved and you also want to obtain a 90% confidence interval for the population median. Past records show that the population median for similar English tests of the same grade was 68.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Nonparametric > 1-Sample Sign

  3. In Variable, select BN - Score

  4. In Test Median, enter 68

  5. In Alternate, select Greater than

  6. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0.0192 < a, we will reject H0. Therefore, we conclude that there is significant evidence that the median score for the English test has improved. The 90% confidence interval of the median is (69.82, 82) and it is interpolated from the confidence levels below and above the requested level.


1-Sample Wilcoxon

Overview

The 1-Sample Wilcoxon is a nonparametric test of the population location (median) and it also calculates the corresponding point estimate and confidence interval. It assumes that the data are a random sample from a continuous and symmetric population. Its parametric counterpart is the 1-sample Z and 1-sample t-tests. Nonparametric tests do not make assumptions that the population is from a specific distribution. Therefore its results are more robust than a parametric test when such assumptions are violated.

Test | Null Hypothesis, H0 | Alternate Hypothesis, H1
One-tailed | m = m0 | m < m0 or m > m0
Two-tailed | m = m0 | m <> m0

where m is the population median and m0 is the hypothesised population median

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Nonparametric > 1-Sample Wilcoxon

  2. In Variable, select the column containing the data (Numeric)

  3. In Test Median, enter hypothesized population median (Numeric)

  4. In Alternate, select the appropriate alternate test

  5. In Confidence Level, enter value for confidence level (Numeric, >0 & <1)

  6. Click OK

Example

You are a school teacher and you want to find out if the median score for the English test has improved and also want to obtain a 90% confidence interval for the population median. Past records show that the population median for English test of the same grade was 68.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Nonparametric > 1-Sample Wilcoxon

  3. In Variable, select BN - Score

  4. In Test Median, enter 68

  5. In Alternate, select Greater than

  6. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0.0427> a, we fail to reject H0. Therefore, we conclude that there is no significant evidence that the median score for the English test has improved. The 90% confidence interval of the median is (67, 80.5).


2-Sample Mann-Whitney

Overview

The 2-Sample Mann-Whitney (or two-sample Wilcoxon rank sum test) is a nonparametric test of the equality of two population medians. It also calculates the corresponding point estimate and confidence interval. Its parametric counterpart is the Paired t test. This procedure assumes that the samples are randomly and independently drawn from two populations that have the same shape.

Test | Null Hypothesis, H0 | Alternate Hypothesis, H1
One-tailed | m1 = m2 | m1 < m2 or m1 > m2
Two-tailed | m1 = m2 | m1 <> m2

where m1 and m2 are population medians

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Nonparametric > 2-Sample Mann-Whitney

  2. In Variable 1, select the column containing the data for the first sample (Numeric)

  3. In Variable 2, select the column containing the data for the second sample (Numeric)

  4. In Alternate, select the appropriate alternate test

  5. Click OK

Example

The number of printers sold by two teams of salespeople was recorded for the previous month. You want to find out if there is a difference in the population median of sales between the teams.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Nonparametric > 2-Sample Mann-Whitney

  3. In Variable 1, select BO - Sales A

  4. In Variable 2, select BP - Sales B

  5. Click OK

Results & Interpretation

The median for both sales team A and B are 51 and 52 respectively. For a desired a = 0.05, since p = 0.7995 > a, we fail to reject H0. Therefore, we conclude that there is no significant evidence that the sales of the two teams are the different.


Kruskal-Wallis

Overview

The Kruskal-Wallis is a nonparametric test of the equality of medians for two or more populations. Its parametric counterpart is the One-Way Analysis of Variance. This procedure assumes that the samples are randomly and independently drawn from populations that have the same shape. It is more robust than the Mood's median test for data of many distributions but is less robust for data with outliers.

Null Hypothesis, H0 | Alternate Hypothesis, H1
m1 = m2 = ... = mi | m1 <> m2 <> ... <> mi

where mi are the medians of population i

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Nonparametric > Kruskal-Wallis

  2. For data in single stacked column

    • In Variable, select the column containing the response data (Numeric)

    • In Factor, select the column containing factor levels (>=2 levels)

  3. For data in different columns

    • In Variables, select the columns containing the response data (Numeric, >= 2 variables)

  4. Click OK

Example

You are the manager of the mortgage department in a bank. You have three officers processing mortgage applications. You collected data on cycle time to process applications for the last 2 months and you want to assess if the three officers have the same processing speed.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Nonparametric > Kruskal-Wallis

  3. In Variable, select BQ - Cycle Time

  4. In Factor, select BR - Officer

  5. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0.0002 < a, we will reject H0. Therefore, we conclude that there is significant evidence that the median cycle times for the three officers are different.


Mood's Median Test

Overview

The Mood's Median Test is a nonparametric test of the equality of medians for two or more populations. Its parametric counterpart is the One-Way Analysis of Variance. This procedure assumes that the samples are randomly and independently drawn from populations that have the same shape. It is more robust than the Kruskal-Wallis for data with outliers and is appropriate for preliminary stages of analysis.

Null Hypothesis, H0 | Alternate Hypothesis, H1
m1 = m2 = ... = mi | m1 <> m2 <> ... <> mi

where mi are the medians of population i

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Nonparametric > Mood's Median Test

  2. For data in single stacked column

    • In Variable, select the column containing the response data (Numeric)

    • In Factor, select the column containing factor levels (>=2 levels)

  3. For data in different columns

    • In Variables, select the columns containing the response data (Numeric, >= 2 variables)

  4. Click OK

Example

You are the manager of the mortgage department in a bank. You have three officers processing mortgage applications. You collected data on cycle time to process applications for the last 2 months and you want to assess if the three officers have the same processing speed.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Nonparametric > Mood's Median Test

  3. In Variable, select BQ - Cycle Time

  4. In Factor, select BR - Officer

  5. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0 < a, we will reject H0. Therefore, we conclude that there is significant evidence that the median cycle times for the three officers are different.


Friedman

Overview

The Friedman test is a nonparametric analysis of a randomized block experiment. It's parametric counterpart is the Two-Way Analysis of Variance. It requires the data to be balanced (all factor combinations must have the same number of observations) and only one observation per combination.

Null Hypothesis, H0 | Alternate Hypothesis, H1
All treatment effects = 0 | All treatment effects <> 0

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Nonparametric > Friedman

  2. In Variable, select the column containing the response data (Numeric, exactly 1 observation per treatment-block combination)

  3. In Treatment, select the column containing treatment levels (>=2 levels)

  4. In Block, select the column containing block levels (>=2 levels)

  5. Click OK

Example

You want to conduct an experiment to assess the strength of concrete with different types of hardener. You prepared 15 blocks of concrete using three types of hardener on five different batches of cement, and tested their strengths.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. In Variable, select BS - Strength

  3. In Treatment, select BT - Hardener

  4. In Block, select BU - Batch

  5. Click OK

Results & Interpretation

For a desired a = 0.05, since p = 0.4493 > a, we fail to reject H0. Therefore, we conclude that there is no significant evidence that the treatment effects are not zero.


Power and Sample Size

Overview

This procedure can calculate power, sample size and minimum difference for the 1-Sample Z test, 1-Sample t, 2-Sample t, 1 Proportion, 2 Proportions, One-Way ANOVA. It also includes a simple sample size calculator for both continuous and discrete data.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Power and Sample Size

For ProcessMA (Excel 32-bit)

  1. For 1-Sample Z:
    1. Enter data in Cells D6:D11
    2. For sample size, difference and power value, provide values in any 2 to calculate the other
    3. Results will be displayed in Cell D13
  2. For 1-Sample t:
    1. Enter data in Cells D16:D21
    2. For sample size, difference and power value, provide values in any 2 to calculate the other
    3. Results will be displayed in Cell D23
  3. For 2-Sample t:
    1. Enter data in Cells D26:D31
    2. For sample size, difference and power value, provide values in any 2 to calculate the other
    3. Results will be displayed in Cell D33
  4. For 1 Proportion:
    1. Enter data in Cells G6:G11
    2. For sample size, difference and power value, provide values in any 2 to calculate the other
    3. Results will be displayed in Cell G13
  5. For 2 Proportions:
    1. Enter data in Cells G16:G21
    2. For sample size, difference and power value, provide values in any 2 to calculate the other
    3. Results will be displayed in Cell G23
  6. For One-Way ANOVA:
    1. Enter data in Cells G26:G31
    2. For sample size, max difference and power value, provide values in any 2 to calculate the other
    3. Results will be displayed in Cell G33
  7. For Continuous data (Simple sample size calculator):
    1. Enter data in Cells D36:D38
    2. Results will be displayed in Cell D40
  8. For Discrete data (Simple sample size calculator):
    1. Enter data in Cells G36:G38
    2. Results will be displayed in Cell G40

For ProcessMA64 (Excel 64-bit)

  1. In Test, select the target test type to calculate power and sample size.
    You need to provide values for any 2 variables in order to calculate the remaining variable. For example, to calculate Sample Size, provide values for Difference and Power Value

  2. In Sample Size, enter the size of the sample (Integer)

  3. In Difference / Alternate Value of P / Proportion 1 Value / Max Difference, enter the value of the difference to detect (Numeric)
  4. In Power Value, enter the desired level (Numeric, >0.5 & <1)
  5. In Standard deviation (1Z, 1t & 2t), enter the population standard deviation (Numeric, >0)
  6. In Hypothesized P / Proportion 2 (1P & 2 P), enter the value of proportion (Numeric, >0 & <1)
  7. In No. of Levels (One-Way ANOVA), enter the number of levels of the factor (Integer, >1)
  8. In Alternate, select the appropriate alternate test
  9. In Significance Level, enter value for significance level (Numeric, >0 & <0.5)
  10. Click OK

Example

For 1-Sample Z, 1-Sample t, 2-Sample t, One-Way ANOVA and Simple Sample Size Calculator for continuous data:
You are the quality assurance manager for a printer cartridge plant. You need to ensure that printer cartridges are filled with a 60ml of ink and cannot vary more than ±2ml. You know from past records that the standard deviation is 3ml. Determine how many samples you need to take at a confidence level of 99% (a = 0.01) and power values of 0.8 and 0.9?

For 1 Proportion, 2 Proportions and Simple Sample Size Calculator for discrete data:
You are the logistic manager and you need to find out if the proportion of products damaged during transport changed after using a new packaging. Historically the proportion of goods damaged during transport is 0.1. Determine the number of samples you need to detect a difference of 0.05 at a confidence level of 95% (a = 0.05) for a power of 0.9?

  1. Choose ProcessMA > Tools > Load Examples

  2. In Category, select Statistics

  3. In Tool, select Power and Sample Size

Results & Interpretation

Sample sizes for the various tests are calculated.


Normality Test

Overview

This tool generates a normal probability plot and conducts a hypothesis test to determine is the data is normally distributed. The chart is similar to data plotted onto a normal probability paper with a fitted cumulative distribution function (with parameters estimated based on the data).

Null Hypothesis, H0 | Alternate Hypothesis, H1
Data follow a normal distribution | Data do not follow a normal distribution

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Normality Test

  2. In Variable, select the column containing the data (Numeric)

  3. Click OK

Example

You measured the thickness of 30 new widgets made. You want to find out if the data is normally distributed before performing a hypothesis test.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Statistics > Normality Test

  3. In Variable, select K - Thickness

  4. Click OK

Results & Interpretation

The normal probability plot shows that most data follows the fitted line. The p-value is 0.3602 indicates that there is evidence that the data follow a normal distribution.


Generate Random Data

Overview

This procedure generates random data for the following distributions:

  • Chi-square distribution - used when outcomes are positive and such that X follows a normal distribution (where square of X then follows a chi-square)

  • Normal distribution - used when data follows a bell curve

  • F distribution - commonly used in test of variance

  • t distribution - similar to normal distribution with its tail spreading out wider

  • Uniform distribution - used to model data within a range of values and have an equal probabilities of occurrence

  • Bernoulli distribution - distibution with binary outcomes

  • Binomial distribution - based on probability of success given a specific number of trials

  • Hypergeometric distribution - used for permanent samples taken from small populations

  • Discrete distribution - user specified distribution using different values and its expected probabilities of occurrence

  • Integer distribution - user specified distribution with a range of integer values and each have an equal probabilities of occurrence

  • Poisson distribution - used when the probability of occurence is small

  • Beta distribution - used to model distribution of order statistics

  • Exponential distribution - used to time based data where failure rate is constant

  • Gamma distribution - used to model data that are positive and skewed

  • Lognormal distribution - commonly used to model reliability data and such that X follows a normal distribution (where LogX then follows Lognormal)

  • Triangular distribution - used when data is within a range and peaks at a value in between

  • Weibull distribution - commonly used to model failure times

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics > Generate Random Data

  2. In Distribution, select the type of distribution you want to generate data from.

  3. In No. of data points, enter the number of data points you want to generate per column.

  4. In Output data in, select an existing available column to display the random data.

For Chi-square distribution

  • In Degrees of freedom, enter the number of degrees of freedom to define the Chi-square Distribution (Integer)

For Normal distribution

  • In Mean, enter the value to use as the center of the normal distribution (Numeric)

  • In Standard deviation, enter the value to use as the standard deviation of the Normal Distribution (Numeric, >0)

For F distribution

  • In Numerator DoF, enter the number of degrees of freedom for the effect (Positive integer)

  • In Denominator DoF, enter the number of degrees of freedom for the error (Positive integer)

For t distribution

  • In Degrees of freedom, enter the number of degrees of freedom to define the t Distribution (Positive integer)

For Uniform distribution

  • In Lower end-point, enter the value to define the minimum value for the Uniform Distribution (Numeric)

  • In Upper end-point, enter the value to define the maximum value for the Uniform Distribution (Numeric)

For Bernoulli distribution

  • In Probability of success, enter a value for the probability of success (between 0 and 1) to define the Bernoulli Distribution (Numeric, between 0 and 1)

For Binomial distribution

  • In Number of trials, enter the number of trials to define the Binomial Distribution (Positive integer)

  • In Probability of success, enter a value for probability of success (between 0 and 1) to define the Binomial Distribution (Numeric, between 0 and 1)

For Hypergeometric distribution

  • In population size, enter the population size (Positive integer)

  • In No. of successes in population, number of successes in the population. (Positive integer between 0 and the population size)

  • In Sample size, enter the sample size. (Positive integer between 0 and the population size)

For Discrete distribution

  • In Values, select the column containing the values you want to be included in the distribution

  • In Probability of values, select the column containing the probabilities that correspond to the discrete numbers in the Values

For Integer distribution

  • In Minimum value, enter the starting value (Integer)

  • In Maximum value, enter the ending value (Integer)

For Poisson distribution

  • In Mean, enter the mean value to define the Poisson Distribution. (Numeric, between 0 and 709)

For Beta distribution

  • In First shape parameter, enter a value for the first shape parameter to define the Beta Distribution (Numeric, >0)

  • In Second shape parameter, enter a value for the second shape parameter to define the Beta Distribution (Numeric, >0)

For Exponential distribution

  • In Mean, enter the mean value to define the Exponential Distribution (Numeric)

For Gamma distribution

  • In First shape parameter, enter a value for the first shape parameter to define the Gamma Distribution (Numeric, >0)

  • In Second shape parameter, enter a value for the second shape parameter to define the Gamma Distribution (Numeric, >0)

For Lognormal distribution

  • In Location, enter a value for the location to define the Lognormal Distribution (Numeric)

  • In Scale, enter a value for the scale to define the Lognormal Distribution (Numeric, >0)

For Triangular distribution

  • In Lower end-point, enter the value to define the minimum value for the Triangular Distribution (Numeric)

  • In Mode, enter the value to define the mode for the Triangular Distribution (Numeric)

  • In Upper end-point, enter the value to define the maximum value for the Triangular Distribution (Numeric)

For Weibull distribution

  • In First shape parameter, enter a value for the first shape parameter to define the Weibull Distribution (Numeric, >0)

  • In Second shape parameter, enter a value for the second shape parameter to define the Weibull Distribution (Numeric, >0)

Example

You want to generate 30 data data points from the Normal distribution with a mean of 10 and a standard deviation of 2.5. You want to store the data in Column A

  1. Choose ProcessMA > Statistics > Generate Random Data

  2. Complete the dialog box as shown in the figure below and click OK

  3. The data will be stored in Column A of the current worksheet


Sampling

Sample Data Column

Overview

This tool helps you randomly select specified number of data points from a data column. The output will be display in a new column in the same worksheet.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Statistics> Sample Data Column

  2. In Variable, select the column to sample from

  3. In No. of data points per sample, enter the number of data points for each sample

  4. In No. of samples, enter the number of samples to display

  5. Click OK


Create Factorial Design

Overview

This tool generates 2-level designs full factorial for 2- 7 factors, fractional factorials for 2 - 15 factors and Plackett-Burman designs for 2 - 47 factors. You can label your factors, specify if they are numeric or text and assign values for each factor levels.

2- Level Factorial Design: You can add center points to help you detect curvatures in the fitted data. Center points are added for numeric factors and to each block. If there is a mix of numeric and text factors, pseudo center points are added. To take into consideration other incidental factors such as changes in environment conditions, you can add blocks to the design. For example, if the experiment is to be conducted over several days and the environmental conditions varies, observations obtained in the same day can be in the same block. The number of blocks available depends on the number of factors and number of replicates specified.

Plackett-Burman Design: This is a type of 2-level fractional factorial designs that is commonly used to study main effects. Such designs can be used if 2-way interactions are not significant and you only wish to study main effects. A set of possible number of runs can be chosen based on the number of factors. Similarly, you can add center points and blocks. To add blocks, you need to replicate the runs and each replicate is one block.

The design matrix will be stored in a new worksheet. The cells containing the design matrix are protected to prevent unintended modifications. You can perform the experiement and enter data for each run in the columns after the design matrix for analysis later.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > DOE > Create Factorial Design

  2. In Type of Design, choose to create a 2-level factorial design or Plackett-Burman design

  3. For 2-level factorial fesign

    1. In Number of Factors, choose the number of factors for the design

    2. In Design, choose from the available designs for the number of factors chosen

    3. In Number of Center Points, choose the number of centre points to be added per block of the design

    4. In Number of Replicates, choose the number of replications for the corner points

    5. In Number of Blocks, choose the number of blocks from the possible choices (based on design and number of replicates)

  4. For Plackett-Burman design

    1. In Number of Factors, choose the number of factors for the design

    2. In Number of Runs, choose the number of runs for the design

    3. In Number of Center Points, choose the number of centre points to be added per block of the design

    4. In Number of Replicates, choose the number of replications for the corner points

    5. Check Block Design, if you want to block the design by replicates

  5. Check Randomize Runs, if you want to randomise the runs in the design

  6. In Factors table, enter the Type, Name, Low levels and High levels for each factor

  7. Click OK

Example

You want to investigate how temperature, intensity of light and type of catalyst affect the growth of organisms. Since you have sufficient resources to perform 24 runs, you want to generate a full factorial design for three factors, with three replicates.

  1. Choose ProcessMA > DOE > Create Factorial Design

  2. In Type of Design, choose 2-level factorial design

  3. n Number of Factors, choose 3

  4. In Design, choose Full Factorial, 8 Runs, 2^3

  5. In Number of Center Points, choose 0

  6. In Number of Replicates, choose 3

  7. In Number of Blocks, choose 1

  8. In Factors table for Factor 1

    1. In Type, choose Numeric

    2. In Name, enter Temp

    3. In Low, enter 10

    4. In High, enter 40

  9. In Factors table for Factor 2

    1. In Type, choose Numeric

    2. In Name, enter Light

    3. In Low, enter 100

    4. In High, enter 300

  10. In Factors table for Factor 3

    1. In Type, choose Text

    2. In Name, enter Catalyst

    3. In Low, enter P

    4. In High, enter Q

  11. Click OK

Results & Interpretation

You collected data and enter into the Response column


Analyze Factorial Design

Overview

This tool analyzes the factorial design to fit a model. ProcessMA generates a default set of terms to be included in the model but you can also add or remove these terms. If you have center points and blocks in the design, you can also choose to model center points and block effects respectively. This tool also allows you to generate effects plots and residual plots to assess model adequacy. The residuals and fitted values of the response are shown in Columns AA:AB.

ProcessMA will only be able to analyze designs that it creates. If you need to analyze existing design, you need to recreate the design matrix.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > DOE > Create Factorial Design

  2. In Response, select the column containing the response data (Numeric)

  3. Under Terms Tab, in Maximum Order of Terms, choose the maximum order of terms to include in the model

  4. Under Terms Tab, in Available Terms, double-click on any terms to include it in the model

  5. Under Terms Tab, in Selected Terms, double-click on any terms to exclude it from the model

  6. Under Terms Tab, check Include Center Points, if you want to include center points in the analysis

  7. Under Terms Tab, check Include Blocks, if you want to include blocking in the analysis

  8. Under Results Tab, check Plot Residuals, to display the residual plot

  9. Under Results Tab, check Show Pareto Plot of Effect, to display a Pareto chart of the effects

  10. Under Results Tab, in Alpha, enter the level used to determine the significance of the effects (Numeric, >0 & <1)

  11. Click OK

Example

You want to investigate how temperature, intensity of light and type of catalyst affect the growth of organisms. You created a full factorial design for three factors and with three replicates. You ran the experiments and recorded the data.

  1. Refer to Create Factorial Design help file to create a design for analysis

  2. Choose ProcessMA > DOE > Analyze Factorial Design

  3. In Response, select H - Response

  4. Under Results Tab, check Show Pareto Plot of Effect

  5. Click OK

Results & Interpretation

From p values in the analysis of variance table, it suggests that the main effects and the 2-way interaction are significant while the 3-way interaction is not. From the p values in the estimated effects and coefficients, it suggests that only the two main effects (Temp and Light) and the 2-way interaction (Temp*Light) are significant.


Factorial Plots

Overview

This tool can generate three types of factorial plots to help you visualize the effects, namely the main effects, interactions and cube. They can be used to help you visualize how the response relates to one or more factors.

The main effects plot charts the means of factor levels for each factor of 1 to 11 factors. Center points are also plotted if included. This plot can be used to compare the strength of the main effects across factors.

The interactions plot charts the means for each combination of factor levels for a pair of factors of 2 to 11 factors. Center points are also plotted if included. If more than two factors are included, a matrix of interaction plots is generated. In general, an interaction between factors can be identified when the change in response value for one factor differs from the change in response value for the other factor.

The cube plots charts the means of each factor level combination for 3 to 8 factors.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > DOE > Factorial Plots

  2. In Response, select the column containing the response data (Numeric)

  3. In Main Effects - Factors, select the columns containing the factor levels for Main Effects Plot (Between 2 to 11 factors)

  4. In Interactions - Factors, select the columns containing the factor levels for Interactions Plot (Between 2 factors to 11 factors)

  5. In Cube - Factors, select the columns containing the factor levels (Between 3 to 8 factors)

  6. Click OK

Example

You want to investigate how temperature, intensity of light and type of catalyst affect the growth of organisms. You created a full factorial design for three factors and with three replicates. You ran the experiments and recorded the data. You want to use Factorial Plots to visualise the effects.

  1. Refer to Create Factorial Design help file to create a design for analysis

  2. Choose ProcessMA > DOE > Factorial Plots

  3. In Response, select H - Response

  4. In Main Effects - Factors, select E - Temp, F - Light, G - Catalyst

  5. In Interactions - Factors, select E - Temp, F - Light, G - Catalyst

  6. In Cube - Factors, select E - Temp, F - Light, G - Catalyst

  7. Click OK

Results & Interpretation

The Main Effects Plot suggests that growth increases for the high levels of all three factors and the Catalyst effects are small. From the Interactions Plot, there seems to be no significant interactions among factors. The Cube Plot shows the mean response value for various combinations of factor levels.


Box-Cox Transformation

Overview

Box-Cox transformation can be used to transform non-normal data into normal data for usage in control charts or instances where normal data is required. You can specify a known lambda to transform the data or let ProcessMA estimate for you. The transformed data is stored in Column AB. The graphical output can be used to select an appropriate lambda for practical purposes. For example, if the estimated lambda is 0.49, it can may be easier to use a square root without losing must accuracy.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Box-Cox Transformation

  2. In Variable, select the column containing the data (Numeric)

  3. In Subgroup, select the column containing subgroup indicators (Optional, >=2 distinct values)

  4. In Constant Subgroup Size, enter the subgroup size if it is constant (Optional, Integer, >=2)

  5. In Specify Lambda, enter the specific lambda to transform the data (Optional, Numeric, >-5& <5)

  6. Click OK

Example

You have some data in subgroup sizes of 10. The data is not normal and with outliers. You want transform the data for further analysis.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Box-Cox Transformation

  3. In Variable, select AC - Boxcox

  4. In Constant Subgroup Size, enter 10

  5. Click OK

Results & Interpretation

To correct for non-normality, you can transform the data to the power of the lambda value at 1.5.


Control Chart Selection

The following table provides you a guide to help select the control chart to use depending on the type of data, what you want to track and sample size.

Data | Type | Tracking | Sample | Charts
Variable Data | Individuals | Process level (individuals) | Subgroup size = 1 Data points > 30 | Individuals Chart
 |  | Process variation (moving ranges) | Subgroup size = 1 Data points > 30 | Moving Range Chart
 |  | Process level and variation | Subgroup size = 1 Data points > 30 | I-MR Chart
 | Subgroups | Process level (means) | 5 - 10 subgroups | Xbar Chart
 |  | Process variation (ranges) | 5 - 10 subgroups Small subgroups (<=5) | R Chart
 |  | Process variation (standard deviations) | 5 - 10 subgroups Large subgroups (>5) | S Chart
 |  | Process level and variation (ranges) | 5 - 10 subgroups Small subgroups (<=5) | Xbar-R Chart
 |  | Process level and variation (standard deviations) | 5 - 10 subgroups Large subgroups (>5) | Xbar-S Chart
 |  | Process level and variation (between and within samples) | 5 - 10 subgroups | I-MR-R/S Chart
 | Non-weighted | Process level (minor shifts) | Subgroup size >= 1 Large samples | Moving Average Chart
 | Weighted | Process level (minor shifts) | Subgroup size >= 1 Large samples | EWMA Chart
Attribute Data | Defectives (Defective product) | Number of defectives | Equal subgroup size | NP Chart
 |  | Percentage of defectives | Different or equal subgroup size | P Chart
 | Defects (Product can have more than one defect) | Number of defects | Equal subgroup size | C Chart
 |  | Number of defects per unit | Different or equal subgroup size | U Chart


Xbar-R Chart

Overview

The Xbar-R chart consist of is a control chart of subgroup means and a control chart of subgroup ranges. It is used to track both the process level and process variation at the same time, and detect signs of special causes. The process standard deviation is estimated using pooled standard deviation as default.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > Xbar-R

  2. In Variable, select the column containing the data (Numeric)

  3. In Subgroup, select the column containing subgroup indicators (Optional, >=2 distinct values)

  4. In Constant Subgroup Size, enter the subgroup size if it is constant (Optional, Integer, >=2)

  5. In Historical Mean, enter the population proportion, otherwise it will be estimated from the sample (Optional, Numeric)

  6. In Historical Standard Deviation, enter the population standard deviation, otherwise it will be estimated from the data (Optional, Numeric, >0)

  7. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  8. In Xbar-Lower Limit Bound, enter the bound on the lower control limit for the Xbar chart (Optional, Numeric)

  9. In Xbar-Upper Limit Bound, enter the bound on the upper control limit for the Xbar chart (Optional, Numeric)

  10. In R-Lower Limit Bound, enter the bound on the lower control limit for the R chart (Optional, Numeric)

  11. In R-Upper Limit Bound, enter the bound on the upper control limit for the R chart (Optional, Numeric)

  12. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  13. In Method, choose the method of estimating sigma

  14. Check the various checkboxes to perform respective tests

  15. Click OK

Example

You are the branch manager of a bank and you need to ensure that time customers spent waiting in the queue is in control. For each day you took 5 measurements on the waiting time. You want to generate a Xbar-R Chart to track the process level and variation.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > Xbar-R

  3. In Variable, select V - Waiting Time

  4. In Constant Subgroup Size, enter 5

  5. Click OK

Results & Interpretation

The ninth point of the Xbar Chart lies outside of the control limit suggesting a possible special cause. The points in the R Chart is random and within the control limit, suggesting that the variation of the process is stable.


Xbar-S Chart

Overview

The Xbar-S Chart consists of is a control chart of subgroup means and a control chart of subgroup standard deviations. It is used to track both the process level and process variation at the same time, and detect signs of special causes. The process standard deviation is estimated using pooled standard deviation as default.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > XBar-S

  2. In Variable, select the column containing the data (Numeric)

  3. In Subgroup, select the column containing subgroup indicators (Optional, >=2 distinct values)

  4. In Constant Subgroup Size, enter the subgroup size if it is constant (Optional, Integer, >=2)

  5. In Historical Mean, enter the population proportion, otherwise it will be estimated from the sample (Optional, Numeric)

  6. In Historical Standard Deviation, enter the population standard deviation, otherwise it will be estimated from the data (Optional, Numeric, >0)

  7. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  8. In Xbar-Lower Limit Bound, enter the bound on the lower control limit for the Xbar chart (Optional, Numeric)

  9. In Xbar-Upper Limit Bound, enter the bound on the upper control limit for the Xbar chart (Optional, Numeric)

  10. In S-Lower Limit Bound, enter the bound on the lower control limit for the S chart (Optional, Numeric)

  11. In S-Upper Limit Bound, enter the bound on the upper control limit for the S chart (Optional, Numeric)

  12. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  13. In Method, choose the method of estimating sigma

  14. Check the various checkboxes to perform respective tests

  15. Click OK

Example

You are the branch manager of a bank and you need to ensure that time customers spent waiting in the queue is in control. For each day you took 10 measurements on the waiting time. You want to generate a Xbar-S Chart to track the process level and variation.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > Xbar-S

  3. In Variable, select V - Waiting Time

  4. In Constant Subgroup Size, enter 10

  5. Click OK

Results & Interpretation

The fifth point of the Xbar Chart lies outside of the control limit suggesting a possible special cause. The points in the S Chart is random and within the control limit, suggesting that the variation of the process is stable.


I-MR-R/S Chart

Overview

The I-MR-R/S uses both between-subgroup and within-subgroup variations to generate three control charts, the individuals, moving range and R or S charts. It is useful when the overall process variation is due to both between subgroup variation and random error.

The individuals chart plots the subgroup means as individual values to remove variation within subgroup and is used to track process level. The moving range chart plots the subgroup means using a moving range to remove variation within subgroup variation and is used to track process variation between subgroups. The R or S chart plots on the other hand uses variation within subgroup to track process variation within subgroups. The R chart is used when the subgroup size is small or Rbar is used to estimate process variation. The S chart is used when subgroup size is larger or when Sbar is used to estimate process variation.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > I-MR-R/S

  2. In Variable, select the column containing the data (Numeric)

  3. In Subgroup, select the column containing subgroup indicators (Optional, >=2 distinct values)

  4. In Constant Subgroup Size, enter the subgroup size if it is constant (Optional, Integer, >=2)

  5. In Mean, enter the population proportion, otherwise it will be estimated from the sample (Optional, Numeric)

  6. In Std Dev Between Subgroups, enter the standard deviation between subgroups, otherwise it will be estimated from the data (Optional, Numeric, >0)

  7. In Std Dev Within Subgroups, enter the standard deviation within subgroups, otherwise it will be estimated from the data (Optional, Numeric, >0)

  8. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  9. In I-Lower Limit Bound, enter the bound on the lower control limit for the individuals chart (Optional, Numeric)

  10. In I-Upper Limit Bound, enter the bound on the upper control limit for the individuals chart (Optional, Numeric)

  11. In MR-Lower Limit Bound, enter the bound on the lower control limit for the MR chart (Optional, Numeric)

  12. In MR-Upper Limit Bound, enter the bound on the upper control limit for the MR chart (Optional, Numeric)

  13. In R/S-Lower Limit Bound, enter the bound on the lower control limit for the R/S chart (Optional, Numeric)

  14. In R/S-Upper Limit Bound, enter the bound on the upper control limit for the R/S chart (Optional, Numeric)

  15. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  16. In Method (Subgroup>1), choose the method of estimating sigma when subgroup size is greater than 1

  17. In Method (Subgroup=1), choose the method of estimating sigma when subgroup size is equals to 1

  18. In Moving Range Length, enter the number of observations used to calculate the moving range (Integer, >=2)

  19. Check the various checkboxes to perform respective tests

  20. Click OK

Example

You are the operations manager in a production plant. You need to ensure that the dimensions of the parts manufactured are in control and within specifications. You took measurements of 10 parts from each of the 8 production lines. You want to generate a I-MR-R/S Chart to monitor the process.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > I-MR-R/S

  3. In Variable, select W - Parts

  4. In Subgroup, select X - Subgroup

  5. Click OK

Results & Interpretation

The process is in control within and between subgroups (production lines).


Xbar Chart

Overview

The Xbar Chart is a control chart of subgroup means. It is used to track the process level and detect signs of special causes. The process standard deviation is estimated using pooled standard deviation as default.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > Xbar

  2. In Variable, select the column containing the data (Numeric)

  3. In Subgroup, select the column containing subgroup indicators (Optional, >=2 distinct values)

  4. In Constant Subgroup Size, enter the subgroup size if it is constant (Optional, Integer, >=2)

  5. In Historical Mean, enter the population proportion, otherwise it will be estimated from the sample (Optional, Numeric, >0 & <1)

  6. In Historical Standard Deviation, enter the population standard deviation, otherwise it will be estimated from the data (Optional, Numeric, >0)

  7. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  8. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  9. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  10. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  11. In Method, choose the method of estimating sigma

  12. Check the various checkboxes to perform respective tests

  13. Click OK

Example

You are the branch manager of a bank and you need to ensure that time customers spent waiting in the queue is in control. For each day you took 10 measurements on the waiting time. You want to generate a Xbar Chart to track the process level.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > Xbar

  3. In Variable, select V - Waiting Time

  4. In Constant Subgroup Size, enter 10

  5. Click OK

Results & Interpretation

The fifth point lies outside of the control limit suggesting a possible special cause.


R Chart

Overview

The R Chart is a control chart of subgroup ranges. It is used to track the process variation and detect signs of special causes. It is suitable for sample sizes 8 or less. For bigger sample sizes, the S Chart may be more appropriate. The process standard deviation is estimated using pooled standard deviation as default.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > R

  2. In Variable, select the column containing the data (Numeric)

  3. In Subgroup, select the column containing subgroup indicators (Optional, >=2 distinct values)

  4. In Constant Subgroup Size, enter the subgroup size if it is constant (Optional, Integer, >=2)

  5. In Historical Standard Deviation, enter the population standard deviation, otherwise it will be estimated from the data (Optional, Numeric, >0)

  6. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  7. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  8. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  9. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  10. In Method, choose the method of estimating sigma

  11. Check the various checkboxes to perform respective tests

  12. Click OK

Example

You are the branch manager of a bank and you need to ensure that time customers spent waiting in the queue is in control. For each day you took 5 measurements on the waiting time. You want to generate a R Chart to track the variation.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > R

  3. In Variable, select V - Waiting Time

  4. In Constant Subgroup Size, enter 5

  5. Click OK

Results & Interpretation

You are the branch manager of a bank and you need to ensure that time customers spent waiting in the queue is in control. For each day you took 5 measurements on the waiting time. You want to generate a R Chart to track the variation.


S Chart

Overview

The S Chart is a control chart of subgroup standard deviations. It is used to track the process variation and detect signs of special causes. It is suitable for sample sizes larger than 8. For smaller sample sizes, the R Chart may be more appropriate. The process standard deviation is estimated using pooled standard deviation as default.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > S

  2. In Variable, select the column containing the data (Numeric)

  3. In Subgroup, select the column containing subgroup indicators (Optional, >=2 distinct values)

  4. In Constant Subgroup Size, enter the subgroup size if it is constant (Optional, Integer, >=2)

  5. In Historical Standard Deviation, enter the population standard deviation, otherwise it will be estimated from the data (Optional, Numeric, >0)

  6. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  7. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  8. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  9. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  10. In Method, choose the method of estimating sigma

  11. Check the various checkboxes to perform respective tests

  12. Click OK

Example

You are the branch manager of a bank and you need to ensure that time customers spent waiting in the queue is in control. For each day you took 10 measurements on the waiting time. You want to generate a S Chart to track the variation.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > S

  3. In Variable, select V - Waiting Time

  4. In Constant Subgroup Size, enter 10

  5. Click OK

Results & Interpretation

The process is stable as the data points are randomly distributed and lie within the control limits.


Zone Chart

Overview

The Zone Chart is similar to the Xbar or individuals Chart. It plots a cumulative score based on zones. It is useful because ‘out-of-control’ is easy to identify, which is when cumulative score is greater than 8.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > Zone

  2. In Variable, select the column containing the data (Numeric)

  3. In Subgroup, select the column containing subgroup indicators (Optional, >=2 distinct values)

  4. In Constant Subgroup Size, enter the subgroup size if it is constant (Optional, Integer, >=2)

  5. In Historical Mean, enter the population proportion, otherwise it will be estimated from the sample (Optional, Numeric)

  6. In Historical Standard Deviation, enter the population standard deviation, otherwise it will be estimated from the data (Optional, Numeric, >0)

  7. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  8. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  9. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  10. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  11. In Method (Subgroup>1), choose the method of estimating sigma when subgroup size is greater than 1

  12. In Method (Subgroup=1), choose the method of estimating sigma when subgroup size is equals to 1

  13. In Moving Range Length, enter the number of observations used to calculate the moving range (Integer, >=2)

  14. In Zone 1 (Std Dev <1), enter the weights you want to assign to points in Zone 1

  15. In Zone 2 (Std Dev <2), enter the weights you want to assign to points in Zone 2

  16. In Zone 3 (Std Dev <3), enter the weights you want to assign to points in Zone 3

  17. In Zone 4 (Std Dev >3), enter the weights you want to assign to points in Zone 4

  18. Check Reset Score After Each Signal, if you want to reset the cumulative score to zero following each out of control signal

  19. Click OK

Example

You operate a delivery service and you want to ensure that parcels are delivered to your customers on time. You recorded the delivery times for 5 parcels to the same area for the past 10 days. You want to run the Zone Chart to evaluate the situation.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Variables Charts for Subgroups > Zone

  3. In Variable, select AB - Delivery Time

  4. In Constant Subgroup Size, enter 5

  5. Click OK

Results & Interpretation

Several points have cumulative scores equals or greater than 8 which suggest the process is out of control.


I-MR Chart

Overview

The I-MR chart is made up of an individuals Chart and Moving Range Chart. It allows you to track both process level and process variation at the same time and detect signs of special causes. The process standard deviation is estimated using average moving range with moving range equals to 2 as default.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Variables Charts for Individuals > I-MR

  2. In Variable, select the column containing the data (Positive integer)

  3. In Historical Mean, enter the population mean, otherwise it will be estimated by the sample mean (Optional, Numeric)

  4. In Historical Standard Deviation, enter the population standard deviation, otherwise it will be estimated from the data (Optional, Numeric, >0)

  5. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  6. In I-Lower Limit Bound, enter the bound on the lower control limit for the individuals chart (Optional, Numeric)

  7. In I-Upper Limit Bound, enter the bound on the upper control limit for the individuals chart (Optional, Numeric)

  8. In MR-Lower Limit Bound, enter the bound on the lower control limit for the moving range chart (Optional, Numeric)

  9. In MR-Upper Limit Bound, enter the bound on the upper control limit for the moving range chart (Optional, Numeric)

  10. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  11. In Method, choose the method of estimating sigma

  12. In Moving Range Length, enter the number of observations used to calculate the moving range (Integer, >=2)

  13. Check the various checkboxes to perform respective tests

  14. Click OK

Example

You are the manager of a technical help division. There have been complains that response time were getting slow and erratic. You collected several measurements on response time and you want to run the I-MR Chart to evaluate the situation.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Variables Charts for Individuals > I-MR

  3. In Variable, select U - Response Time

  4. Click OK

Results & Interpretation

The ninth point of the Individuals Chart lies outside the upper control limit which suggests a possible special cause on the process level. The process variation is stable as the data points are randomly distributed and lie within the control limits of the Moving Range Chart.


Z-MR Chart

Overview

The Z-MR Chart is made up of a control chart of standardised individual observations and the Moving Range Chart. It allows you to track both process level and process variation at the same time. The Z-MR is useful for processes with insufficient data on each run to give a good estimate of process parameters. Individual observations are therefore standardised so that data collected from different runs can be evaluated on the same control chart.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Variables Charts for Individuals > Z-MR

  2. In Variable, select the column containing the data (Numeric)

  3. In Part Indicators , select the column containing part indicators (>=2 distinct values)

  4. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  5. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  6. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  7. In Group Method, choose the grouping method of estimating sigma

  8. In Method, choose the method of estimating sigma when subgroup size is equals to 1

  9. In Moving Range Length, enter the number of observations used to calculate the moving range (Integer, >=2)

  10. Click OK

Example

You work in a mill and you are in-charge of quality control. The mill cuts wood into specific dimensions and dimension settings are changed according to customer’s order. You want to use the Z-MR Chart to assess if the wood is cut into the correct dimensions. You know that the variation in your process is dependent on the type of wood used.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Variables Charts for Individuals > Z-MR

  3. In Variable, select Z - Dimension

  4. In Part Indicators , select AA - Wood

  5. Click OK

Results & Interpretation

Copyright © ProcessMA


Individuals Chart

Overview

The Individuals Chart is a control chart of individual observations. It is used to track the process level and detect signs of special causes when subgroup size is equals to 1. The process standard deviation is estimated using average moving range with moving range equals to 2 as default.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Variables Charts for Individuals > Individuals

  2. In Variable, select the column containing the data (Positive integer)

  3. In Historical Mean, enter the population mean, otherwise it will be estimated by the sample mean (Optional, Numeric)

  4. In Historical Standard Deviation, enter the population standard deviation, otherwise it will be estimated from the data (Optional, Numeric, >0)

  5. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  6. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  7. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  8. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  9. In Method, choose the method of estimating sigma

  10. In Moving Range Length, enter the number of observations used to calculate the moving range (Integer, >=2)

  11. Check the various checkboxes to perform respective tests

  12. Click OK

Example

You are the manager of a technical help division. There have been complains that response time were getting slow and erratic. You collected several measurements on response time and you want to run the I-MR Chart to evaluate the situation.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Variables Charts for Individuals > Individuals

  3. In Variable, select U - Response Time

  4. Click OK

Results & Interpretation

The ninth point lies outside the upper control limit which suggests a possible special cause. Further investigation is required and it is possible that it is the cause of that complaint.


Moving Range Chart

Overview

The Moving Range Chart is a control chart of moving ranges. Moving ranges are range value of preceding successive observations. It is used to track the process variation and detect signs of special causes with subgroup size is equals to 1. The process standard deviation is estimated using average moving range with moving range equals to 2 as default.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Variables Charts for Individuals > Moving Range

  2. In Variable, select the column containing the data (Positive integer)

  3. In Historical Standard Deviation, enter the population standard deviation, otherwise it will be estimated from the data (Optional, Numeric, >0)

  4. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  5. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  6. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  7. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  8. In Method, choose the method of estimating sigma

  9. In Moving Range Length, enter the number of observations used to calculate the moving range (Integer, >=2)

  10. Check the various checkboxes to perform respective tests

  11. Click OK

Example

You are the manager of a technical help division. There have been complains that response time were getting slow and erratic. You collected several measurements on response time and you want to run the I-MR Chart to evaluate the situation.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Variables Charts for Individuals > Moving Range

  3. In Variable, select U - Response Time

  4. Click OK

Results & Interpretation

The process is stable as the data points are randomly distributed and lie within the control limits.


P Chart

Overview

The P Chart is a control chart used to track the proportion defective (number of defectives divided by the subgroup size) and detect signs of special causes. The data is assumed to follow a Binomial distribution.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Attributes Charts > P

  2. In Variable, select the column containing the data (Positive integer)

  3. In Subgroup Sizes , select the column containing subgroup sizes (Optional, Positive integer, >=Variable)

  4. In Constant Subgroup Size , enter the subgroup size if it is constant (Positive integer, >=Variable)

  5. In Proportion, enter the population proportion, otherwise it will be estimated from the sample (Optional, Numeric, >0 & <1)

  6. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  7. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  8. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  9. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  10. Check the various checkboxes to perform respective tests

  11. Click OK

Example

You work in a paper manufacturing plant and you need the control the quality of the paper. For each batch, you inspect a certain quantity to make sure that the papers are ‘white enough’ for quality control. You want to use the NP chart to help you monitor.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Attributes Charts > P

  3. In Variable, select S - Stained

  4. In Subgroup Sizes , select T - Sampled

  5. Click OK

Results & Interpretation

Sample 20 is outside the control limit and you may wish to investigate that batch for quality issues.


NP Chart

Overview

The P Chart is a control chart used to track the number of defectives and detect signs of special causes. The NP chart is normally used when the subgroup size is constant. The data is assumed to follow a Binomial distribution.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Attributes Charts > NP

  2. In Variable, select the column containing the data (Positive integer)

  3. In Subgroup Sizes , select the column containing subgroup sizes (Optional, Positive integer, >=Variable)

  4. In Constant Subgroup Size , enter the subgroup size if it is constant (Positive integer, >=Variable)

  5. In Proportion, enter the population proportion, otherwise it will be estimated from the sample (Optional, Numeric, >0 & <1)

  6. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  7. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  8. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  9. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  10. Check the various checkboxes to perform respective tests

  11. Click OK

Example

You work in a paper manufacturing plant and you need the control the quality of the paper. For each batch, you inspect a certain quantity to make sure that the papers are ‘white enough’ for quality control. You want to use the NP chart to help you monitor.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Attributes Charts > NP

  3. In Variable, select S - Stained

  4. In Subgroup Sizes , select T - Sampled

  5. Click OK

Results & Interpretation

Sample 20 is outside the control limit and you may want to investigate that production batch for quality issues.


C Chart

Overview

The C Chart is a control chart used to track the number of defects and detect signs of special causes. To use C Chart, the subgroup size must be constant. The data is assumed to follow a Poisson distribution and the average number of defects is estimated from the data.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Attributes Charts > C

  2. In Variable, select the column containing the data (Positive integer)

  3. In Historical Mean, enter the population mean, otherwise it will be estimated by the sample mean (Optional, Numeric)

  4. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  5. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  6. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  7. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  8. Check the various checkboxes to perform respective tests

  9. Click OK

Example

You work in a paper manufacturing plant and you need to control the quality of the paper. For each batch, you inspected 100 pieces of paper to make sure that they are not stained. You want to use the C Chart to help you monitor the quality.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Attributes Charts > C

  3. In Variable, select S - Stained

  4. Click OK

Results & Interpretation

The process is stable as the data points are randomly distributed and lie within the control limits.


U Chart

Overview

The U Chart is a control chart used to track the number of defects per unit sampled and detect signs of special causes. The U Chart is useful when the subgroup size varies. The data is assumed to follow a Poisson distribution and the average number of defects is estimated from the data.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Attributes Charts > U

  2. In Variable, select the column containing the data (Positive integer)

  3. In Subgroup Sizes , select the column containing subgroup sizes (Optional, Positive integer, >=Variable)

  4. In Constant Subgroup Size , enter the subgroup size if it is constant (Positive integer, >=Variable)

  5. In Historical Mean, enter the population mean, otherwise it will be estimated by the sample mean (Optional, Numeric)

  6. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  7. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  8. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  9. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  10. Check the various checkboxes to perform respective tests

  11. Click OK

Example

You work in a paper manufacturing plant and you need the control the quality of the paper. For each batch, you inspect a certain quantity to make sure that the papers are ‘white enough’ for quality control. You want to use the U chart to help you monitor.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Attributes Charts > U

  3. In Variable, select S - Stained

  4. In Subgroup Sizes , select T - Sampled

  5. Click OK

Results & Interpretation

Sample 20 is outside the control limit and you may want to investigate that batch for quality issues.


Moving Average Chart

Overview

The Moving Average Chart is a control chart of moving averages (of individuals or subgroup means). It is used to track the process level and detect signs of special causes. Moving Average chart uses unweighted moving averages and therefore it is generally not as popular as the EWMA chart which weight the observations.

Moving averages are averages of a number (default length of MA = 3) of consecutive observations or subgroup means. If your data is in subgroups, the process standard deviation is estimated using pooled standard deviation as default. If your data is individual observations (subgroup size = 1), the process standard deviation is estimated using average moving range with moving range equals to 2 as default.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Time-Weighted Charts > Moving Average

  2. In Variable, select the column containing the data (Numeric)

  3. In Subgroup, select the column containing subgroup indicators (Optional, >=2 distinct values)

  4. In Constant Subgroup Size, enter the subgroup size if it is constant (Optional, Integer, >=2)

  5. In Moving Average Length, enter the number of observations used to calculate the moving average (Integer, >=2)

  6. In Historical Mean, enter the population proportion, otherwise it will be estimated from the sample (Optional, Numeric)

  7. In Historical Standard Deviation, enter the population standard deviation, otherwise it will be estimated from the data (Optional, Numeric, >0)

  8. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  9. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  10. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  11. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  12. In Method (Subgroup>1), choose the method of estimating sigma when subgroup size is greater than 1

  13. In Method (Subgroup=1), choose the method of estimating sigma when subgroup size is equals to 1

  14. In Moving Range Length, enter the number of observations used to calculate the moving range (Integer, >=2)

  15. Click OK

Example

You collected cycle time data for application approval. You want to monitor the process using a Moving Average Chart.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Time-Weighted Charts > Moving Average

  3. In Variable, select Y - Approval Time

  4. In Constant Subgroup Size, enter 1

  5. Click OK

Results & Interpretation

Copyright © ProcessMA


EWMA Chart

Overview

The EWMA chart is a control chart of exponentially weighted moving averages (of individuals or subgroup means). Each point contains a weighted effect from all the previous points. It can be used to track small shifts away from the target.

Moving averages are averages of a number (default length of MA = 3) of consecutive observations or subgroup means. If your data is in subgroups, the process standard deviation is estimated using pooled standard deviation as default. If your data is individual observations (subgroup size = 1), the process standard deviation is estimated using average moving range with moving range equals to 2 as default.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Time-Weighted Charts > EWMA

  2. In Variable, select the column containing the data (Numeric)

  3. In Subgroup, select the column containing subgroup indicators (Optional, >=2 distinct values)

  4. In Constant Subgroup Size, enter the subgroup size if it is constant (Optional, Integer, >=2)

  5. In Weight, enter the weight for EWMA (Numeric, >0 & <1)

  6. In Historical Mean, enter the population proportion, otherwise it will be estimated from the sample (Optional, Numeric)

  7. In Historical Standard Deviation, enter the population standard deviation, otherwise it will be estimated from the data (Optional, Numeric, >0)

  8. In Control Limit Multiples, enter the position to draw the upper and lower control limits. Multiple entries must be separated by commas (Optional, Numeric, >0, Up to 3 multiples)

  9. In Lower Limit Bound, enter the bound on the lower control limit (Optional, Numeric)

  10. In Upper Limit Bound, enter the bound on the upper control limit (Optional, Numeric)

  11. In Phase, select the column containing the phase indicators (Optional, >=2 distinct values)

  12. In Method (Subgroup>1), choose the method of estimating sigma when subgroup size is greater than 1

  13. In Method (Subgroup=1), choose the method of estimating sigma when subgroup size is equals to 1

  14. In Moving Range Length, enter the number of observations used to calculate the moving range (Integer, >=2)

  15. Click OK

Example

You collected cycle time (days) data for application approval. You want to monitor the process using a EWMA chart.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Control Charts > Time-Weighted Charts > EWMA

  3. In Variable, select Y - Approval Time

  4. In Constant Subgroup Size, enter 1

  5. Click OK

Results & Interpretation

Copyright © ProcessMA


Define Test of Special Causes

Overview

Each of the eight tests for special causes detects a specific pattern in the data and such occurrence indicates a special cause for the variation. You can change the test parameter to adjust test sensitivity.

One point is more than 3s from center line. | Two out of three consecutive points more than 2s from center line (same side)
Nine consecutive points Nine on same side of center line | Four out of five consecutive points more than 1s from center line (same side)
Six consecutive points, all increasing or all decreasing | Fifteen consecutive points within 1s of center line (either side)
Fourteen consecutive points, alternating up and down | Eight consecutive points more than 1s from center line (either side)

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Control Charts > Define Tests

  2. Enter k values for the respective tests (integer, between allowable range)

  3. Click OK to save changes

  4. Click Default to reset k values to original setting

  5. Click Cancel to close dialog box without saving

Example

The figure below shows a screenshot of the dialog box to adjist the sensitivity of the control charts

  1. Choose ProcessMA > Control Charts > Define Tests


Capability Analysis (Normal)

Overview

The Capability Analysis (Normal) generates a process capability report containing various capability indices. Capability indices measure how well the process is capable of meeting the specificiations. This tool also generates a histogram of the data with the overall and within normal curves. The histogram helps you to visualize the distribution of you data is whether the process is in control. Capability Analysis (Normal) assumes the data is from a Normal distribution. If you data is not Normal or badly skewed, it may be better to either transform the data using Box-Cox transformation or use Capability Analysis (Weilbull) if the data follows a Weibull Distribution. In order to study the process capability, it is important to make sure that the process is in statistical control first. Make use of the control charts to valid if the process mean (e.g. individuals, Xbar) and the process variation (e.g Moving range, R chart) is stable.

Interpret Capability Indices

Cp | Cp measures the potential process capability or sometimes referred to as short term "best case" performance. It measures how consistent process is performing in relation to the specification limits.
Cpk | Cpk also measures the potential process capability but unlike Cp, it also take into consideration the location of the process mean in relation to the specification limits. If the process is stable but off-target, Cpk will be smaller than Cp.
Pp | Pp measures the overall process capability, sometimes also referred to as long term performance. Therefore, if there are special cause variation present in the process data, Pp will be smaller than Cp.
Ppk | Ppk also measures the overall process capability but unlike Pp, it also take into consideration the location of the process mean in relation to the specification limits. Similar to the interpretation for Cp and Cpk, If the process is stable but off-target, Ppk will be smaller than Pp.
Z | Z is an alternative measure of process capability. In simple terms, Z represents the number of standard deviations between the mean and the specification limit. For 2-sided specification limits, overall Z is smaller than the Z of each specification limit.
Observed Performance | The number process output that actually fail the specification limits based on your data. This metric can be expressed in terms of parts per million (PPM) or in percent.
Expected Performance | The number of process output that you expect to fail specification limits. This level of performance is what you customer will likely experience. This expectation is based on the distribution (using cumulative distribution function) used to model your data. The expected performance can be expressed in terms of parts per million (PPM) or in percent.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Capability Analysis > Capability Analysis (Normal)

  2. In Variable, select the column containing the data (Numeric)

  3. In Subgroup, select the column containing subgroup indicators (Optional, >=2 distinct values)

  4. In Constant Subgroup Size, enter the subgroup size if it is constant (Optional, Integer, >0)

  5. In Lower Specification Limit, enter the lower specification limit (At least one limit is required, Numeric)

  6. In Upper Specification Limit, enter the lower specification limit (At least one limit is required, Numeric)

  7. In Historical Mean, enter the population proportion, otherwise it will be estimated from the sample (Optional, Numeric)

  8. In Historical Standard Deviation, enter the population standard deviation, otherwise it will be estimated from the data (Optional, Numeric, >0)

  9. In Target, enter the target value. It is used to calculate Cpm (Optional, Numeric)

  10. In Sigma Tolerance, enter the interval (number of standard deviations) to calculate the capability statistics, otherwise 6 standard deviations will be used (Numeric, >0)

  11. In Method (Subgroup>1), choose the method of estimating sigma when subgroup size is greater than 1

  12. In Method (Subgroup=1), choose the method of estimating sigma when subgroup size is equals to 1

  13. In Moving Range Length, enter the number of observations used to calculate the moving range (Integer, >=2)

  14. In Display Capabilities in, choose the method to display capability indices

  15. In Display Performance in, choose the method to display performance indices

  16. Click OK

Example

You work in manufacturing plant and you need to make sure that the diameter of the parts made is 300mm ± 3mm to meet technical specifications. You collected five samples each day for the last 30 days. You want to perform a capability study to evaluate if the process is capable of meeting the specifications.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Quality Tools > Capability Analysis > Capability Analysis (Normal)

  3. In Variable, select D - Diameter

  4. In Constant Subgroup Size, enter 10

  5. In Lower Specification Limit, enter 298

  6. In Upper Specification Limit, enter 302

  7. In Target, enter 300

  8. Click OK

Results & Interpretation

The process does not meet the lower and upper specification limits. The process needs to be improved to reduce variation and also centered on the target.


Capability Analysis (Between/Within)

Overview

The Capability Analysis (Between/Within) generates a process capability report containing various capability indices using both between-subgroup and within-subgroup variation. Capability indices measure how well the process is capable of meeting the specificiations. It is useful when variation in the data is due to both within and between subgroups. For example, when you collect data, other than the random error within subgroups, there may also be random error between subgroups due to time and environment condition changes. Under these circumstances, the process variation is due to both the between-subgroup variation and the within-subgroup variation.

This procedure also generates a histogram of the data with the overall and within normal curves. The histogram helps you to visualize the distribution of you data is whether the process is in control. Capability Analysis (Between/Within) assumes the data is from a Normal distribution. If you data is not Normal or badly skewed, it may be better to either transform the data using Box-Cox transformation or use Capability Analysis (Weilbull) if the data follows a Weibull Distribution. In order to study the process capability, it is important to make sure that the process is in statistical control first. Make use of the control charts to valid if the process mean (e.g. individuals, Xbar) and the process variation (e.g Moving range, R chart) is stable.

Interpret Capability Indices

Cp | Cp measures the potential process capability or sometimes referred to as short term "best case" performance. It measures how consistent process is performing in relation to the specification limits.
Cpk | Cpk also measures the potential process capability but unlike Cp, it also take into consideration the location of the process mean in relation to the specification limits. If the process is stable but off-target, Cpk will be smaller than Cp.
Pp | Pp measures the overall process capability, sometimes also referred to as long term performance. Therefore, if there are special cause variation present in the process data, Pp will be smaller than Cp.
Ppk | Ppk also measures the overall process capability but unlike Pp, it also take into consideration the location of the process mean in relation to the specification limits. Similar to the interpretation for Cp and Cpk, If the process is stable but off-target, Ppk will be smaller than Pp.
Z | Z is an alternative measure of process capability. In simple terms, Z represents the number of standard deviations between the mean and the specification limit. For 2-sided specification limits, overall Z is smaller than the Z of each specification limit.
Observed Performance | The number process output that actually fail the specification limits based on your data. This metric can be expressed in terms of parts per million (PPM) or in percent.
Expected Performance | The number of process output that you expect to fail specification limits. This level of performance is what you customer will likely experience. This expectation is based on the distribution (using cumulative distribution function) used to model your data. The expected performance can be expressed in terms of parts per million (PPM) or in percent.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Capability Analysis > Capability Analysis (Between/Within)

  2. In Variable, select the column containing the data (Numeric)

  3. In Subgroup, select the column containing subgroup indicators (Optional, >=2 distinct values)

  4. In Constant Subgroup Size, enter the subgroup size if it is constant (Optional, Integer, >=2)

  5. In Lower Specification Limit, enter the lower specification limit (At least one limit is required, Numeric)

  6. In Upper Specification Limit, enter the lower specification limit (At least one limit is required, Numeric)

  7. In Historical Mean, enter the population proportion, otherwise it will be estimated from the sample (Optional, Numeric)

  8. In Historical Sigma (Within), enter the within-subgroup sigma, population standard deviation or estimates from historical data, otherwise it will be estimated from the data (Optional, Numeric, >0)

  9. In Historical Sigma (Between), enter the between-subgroup sigma, population standard deviation or estimates from historical data, otherwise it will be estimated from the data (Optional, Numeric, >0)

  10. In Target, enter the target value. It is used to calculate Cpm (Optional, Numeric)

  11. In Sigma Tolerance, enter the interval (number of standard deviations) to calculate the capability statistics, otherwise 6 standard deviations will be used (Numeric, >0)

  12. In Method (Subgroup>1), choose the method of estimating sigma when subgroup size is greater than 1

  13. In Method (Subgroup=1), choose the method of estimating sigma when subgroup size is equals to 1

  14. In Moving Range Length, enter the number of observations used to calculate the moving range (Integer, >=2)

  15. In Display Capabilities in, choose the method to display capability indices

  16. In Display Performance in, choose the method to display performance indices

  17. Click OK

Example

You work in manufacturing plant and you need to make sure that the diameter of the parts made is 300mm ± 3mm to meet technical specifications. You collected five samples each day for the last 30 days. You want to perform a capability study to evaluate if the process is capable of meeting the specifications.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Quality Tools > Capability Analysis > Capability Analysis (Between/Within)

  3. In Variable, select D - Diameter

  4. In Constant Subgroup Size, enter 10

  5. In Lower Specification Limit, enter 298

  6. In Upper Specification Limit, enter 302

  7. In Target, enter 300

  8. Click OK

Results & Interpretation

The process does not meet the lower and upper specification limits. The process needs to be improved to reduce variation and also centered on the target.


Capability Analysis (Weibull)

Overview

The Capability Analysis (Weibull) generates a process capability report containing various capability indices (Pp, Ppk, PPU, and PPL). It is used when the data is from a Weibull distribution. This procedure also generates a histogram of the data with a Weibull curve. ProcessMA uses maximum likelihood estimates for distribution parameters.

Interpret Capability Indices

Pp | Pp measures the overall process capability, sometimes also referred to as long term performance. Therefore, if there are special cause variation present in the process data, Pp will be smaller than Cp.
Ppk | Ppk also measures the overall process capability but unlike Pp, it also take into consideration the location of the process mean in relation to the specification limits. Similar to the interpretation for Cp and Cpk, If the process is stable but off-target, Ppk will be smaller than Pp.
Z | Z is an alternative measure of process capability. In simple terms, Z represents the number of standard deviations between the mean and the specification limit. For 2-sided specification limits, overall Z is smaller than the Z of each specification limit.
Observed Performance | The number process output that actually fail the specification limits based on your data. This metric can be expressed in terms of parts per million (PPM) or in percent.
Expected Performance | The number of process output that you expect to fail specification limits. This level of performance is what you customer will likely experience. This expectation is based on the distribution (using cumulative distribution function) used to model your data. The expected performance can be expressed in terms of parts per million (PPM) or in percent.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Capability Analysis > Capability Analysis (Weibull)

  2. In Variable, select the column containing the data (Numeric)

  3. In Lower Specification Limit, enter the lower specification limit (At least one limit is required, Numeric)

  4. In Upper Specification Limit, enter the lower specification limit (At least one limit is required, Numeric)

  5. In Historical Shape, enter the historical shape parameter value (Optional, Numeric, >0)

  6. In Target, enter the target value. It is used to calculate Cpm (Optional, Numeric)

  7. In Sigma Tolerance, enter the interval (number of standard deviations) to calculate the capability statistics, otherwise 6 standard deviations will be used (Numeric, >0)

  8. In Display Capabilities in, choose the method to display capability indices

  9. In Display Performance in, choose the method to display performance indices

  10. Click OK

Example

You are an engineer and you need to ensure the electrical stability of circuit boards. You recorded the length of time the circuit boards were unstable while being plugged in for a period of 30 days. You want to run a capability cnalysis based on the Weibull distribution.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Quality Tools > Capability Analysis > Capability Analysis (Weibull)

  3. In Variable, select AD - Unstable

  4. In Upper Specification Limit, enter 3

Results & Interpretation

Copyright © ProcessMA


Capability Analysis (Binomial)

Overview

Capability Analysis (Binomial) generates process capability report for attribute data that follows the Binomial distribution. The report includes a

  • P Chart to verify if the process is in statistical control

  • Cumulative %Defective chart to verify if the data have a consistent estimate of %defectives

  • Histogram of %Defective to help visualize the distribution of %defective of the sample data

  • Defective Rate Chart to verify that the %defective is not affected by the sample size

  • Binomial Plot (when subgroup size is constant) to verify that the expected %defectives are not affected by the observed %defectives

The most common types of Binomial data are records of defective output or Yes/No data. In order the use Capability Analysis (Binomial), you need to ensure that the following assumptions are valid:

  • The outcome is binary or have only 2 possible result

  • The probability of success is the same for all units

  • The outcome of each unit is independent of each other

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Capability Analysis > Capability Analysis (Binomial)

  2. In Defectives, select the column containing the data (Integer, >=0)

  3. In Sample Sizes, select the column containing sample sizes (Integer, >Defectives)

  4. In Constant Sample Size, enter the sample size if it is constant (Optional, Integer, >Defectives)

  5. In Historical P, enter the historical proportion of defectives(Optional, Numeric, >0 & <1)

  6. In Target Defective, enter the defective target (Optional, Numeric, >0 & <1)

  7. Click OK

Example

You are working in a software company and you want to assess the responsiveness of the customer support service. You recorded the number of enquiries received and the number of enquiries unresolved after 2 days, for the last 30 days.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Quality Tools > Capability Analysis > Capability Analysis (Binomial)

  3. In Defectives, select AE - Unresolved

  4. In Sample Sizes, select AF - Enquiries

  5. Click OK

Results & Interpretation

The P Chart shows that the process is in control. The Cumulative % Defective shows the overall defectives settles at 12.4%. The rate of defectives seems to increase with sample size. The process Z is only 1.15, which means that the process needs much improvement.


Capability Analysis (Poisson)

Overview

Capability Analysis (Poisson) generates process capability report for attribute data that follows the Poisson distribution. The report includes a

  • U Chart to verify if the process is in statistical control

  • Cumulative mean DPU chart to verify if the data have a consistent estimate of mean

  • Histogram of DPU to help visualize the distribution of DPU of the sample data

  • Defect Rate Chart to verify that the DPU is not affected by the sample size

  • Poisson Plot (when subgroup size is constant) to verify that the expected number of defects are not affected by the observed number of defects

The most common types of Poisson data are records of defects per unit. In order the use Capability Analysis (Poisson), you need to ensure that the following assumptions are valid:

  • The rate of defects is the same for each unit

  • The number of defects in each unit is independent of each other

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Capability Analysis > Capability Analysis (Poisson)

  2. In Defects, select the column containing the data (Integer, >=0)

  3. In Sample Sizes, select the column containing sample sizes (Integer, >Defectives)

  4. In Constant Sample Size, enter the sample size if it is constant (Optional, Integer, >Defectives)

  5. In Historical Mean , enter the population mean (Optional, Numeric)

  6. In Target DPU, enter the target DPU value (Optional, Numeric)

  7. Click OK

Example

You work in a refrigerator manufacturing plant. You need to ensure that the surface of the refrigerators is in good condition. You inspect a random surface area of 100cm2 of each refrigerator and recorded the number of scratches and dents found.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Quality Tools > Capability Analysis > Capability Analysis (Poisson)

  3. In Defects, select AG - Scratches

  4. In Constant Sample Size, enter 100

  5. Click OK

Results & Interpretation

The U Chart shows that there are several points out of control. The Cumulative DPU chart shows that the overall DPU settles at 0.023.


Sigma Calculator

Overview

This procedure provides a simple calculation for sigma level and other common performance measurements.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Sigma Calculator

  2. For Basic Calculator, enter number of opportunities in Cell D6 and number of defects in Cell D7. Results will be displayed in Cells D10:D13

  3. For Advanced Calculator, enter the number of units sampled in Cell D20, number of opportunities per unit in Cell D21, number of defects (total) in Cell D22, known sigma shift (default 1.5) in Cell D23. Results will be displayed in Cells D26:D30

Example

Your factory produces 4000 capacitors a day and of which 23 are defective. Calculate the sigma performance.

  1. Choose ProcessMA > Tools > Load Examples

  2. In Category, select Capability Analysis

  3. In Tool, select Sigma Calculator

Results & Interpretation

Copyright © ProcessMA


Gage Run Chart

Overview

The Gage Run Chart plots the measurements by operator and by part, and a reference line at the overall mean. It is used to visualise measurement between different operators and parts. If there are multiple trials, only the first 10 trials will be plotted.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Gage R and R > Gage Run Chart

  2. In Measurement, select the column containing measurement data (Numeric)

  3. In Part, select the column containing part indicators (>=2 distinct values)

  4. In Operator, select the column containing operator indicators

  5. In Trial, select the column containing trial numbers

  6. In Historical Mean, enter a value for the reference line, else the mean of the measurements will be used

  7. Click OK

Example

You collected measurements made by 3 different operators on 10 different parts. You want to use the Gage Run Chart to assess the measurement differences between operators and parts.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Quality Tools > Gage R and R > Gage Run Chart

  3. In Measurement, select AQ - Measurement

  4. In Part, select AR - Part

  5. In Operator, select AS - Operator

  6. Click OK

Results & Interpretation

From the chart, it seems that most of the variation is due to differences between parts. It also appears that Operator 1 is relatively inconsistent and Operator 2’s second measurement is frequently smaller than the first measurement.


Gage Linearity and Bias Study

Overview

The Gage Linearity and Bias Study can be used to determine the accuracy of your measurements through the expected measurement range. In other words, it can help you determine if your gage has the same accuracy when measuring objects of different sizes and if your gage is biased when compared to a master value.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Gage R and R > Gage Linearity and Bias Study

  2. In Measurement, select the column containing measurement data (Numeric)

  3. In Part, select the column containing part indicators (>=2 distinct values)

  4. In Reference, select the column containing master measurements (Numeric)

  5. In Process Variation , enter a value for the process standard deviation (Optional, Numeric, >0)

  6. Click OK

Example

You want to determine the accuracy of the measurement gage in your plant. You selected five parts to study which represented the range of measurements that you need to take. You also have the master value for each of these five parts. You got an operator to measure the parts in random and 10 times each.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Quality Tools > Gage R and R > Gage Linearity and Bias Study

  3. In Measurement, select AT - Readings

  4. In Part, select AU - Samples

  5. In Reference, select AV - Reference

  6. Click OK

Results & Interpretation

The gage linearity and gage bias account for 1.3% and 5.8% of the overall process variation respectively.


Gage R&R

Overview

The Gage Repeatability and Reproducibility study helps you to determine how much of the observed process variation is due to measurement system variation. It breaks down the overall variation into variation due to part-to-part, repeatability and reproducibility. The ANOVA method is commonly used as it also breaks fown reproducibility into operator and operator by part interactions. This tool can be used on crossed Gage R&R studies at which each part is measured by each operator several times.

The following are some guidances to set up a Gage R&R study.

  • Parts measured should cover the entire range of possible values to get a better estimate of part-to-part variation

  • If you can run limited number of tests, it is better to test more parts than take more measurements on the same part to get a better chance of detecting linearity issues

  • Ensure complete randomization of the measurement process. Repeating measurement of the same part by the same operator too often may produce over-optimistic estimates.

  • If the variation among operators for the same part is large, you may need more operators to get a better estimate of reproducibility

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Gage R and R > Gage R and R

  2. In Measurement, select the column containing measurement data (Numeric)

  3. In Part, select the column containing part indicators (>=2 distinct values)

  4. In Operator, select the column containing operator indicators

  5. In Method of Analysis, choose the method to use for analysis. The Xbar and R method distinguishes the observed process variation into part-to-part, repeatability and reproducibility components. The ANOVA method is similar but it also breaks down reproducibility into operator and operator by part components

  6. In Study Variation, enter a value to be used to calculate Study Variation. The default is 6, which is the number of standard deviations needed to capture 99.73% of your process measurements (Optional, Numeric, >0)

  7. In Process Tolerance, enter the tolerance range (USL - LSL) if known (Optional, Numeric)

  8. Click OK

Example

Three operators took measurements on 10 parts, twice on each part. You want to determine how much of the observed process variation is due to measurement system variation.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Quality Tools > Gage R and R > Gage R and R

  3. In Measurement, select AQ - Measurement

  4. In Part, select AR - Part

  5. In Operator, select AS - Operator

  6. Click OK

Results & Interpretation

By looking at %VarComp, the variation due to differences between parts (Part-to-Part) contributes 94.1% to the overall variation. It is much larger than that of the Total Gage R&R at 5.9%. The same observation can be made by looking at the Component of Variation Chart. This indicates that measurement system error is small. From the By Part Chart, the variation of the red line shows that there are significant differences between parts. On the other hand, from the By Operator Chart, the red line is relatively flat, which indicates that the differences between operators are small. In addition, most of the points in the Xbar Chart for Measurement by Operator are out-of-control, indicating that variation is mainly due to differences between parts.


Attribute Gage Study

Overview

The Attribute Gage Study examines the precision of a measurement system when measurement is binary. It calculates the amount of bias and repeatability of the measurement system. This study only give indicative information on whether a part is good or bad based on a set of predefined standard. To use this tool, you need to select parts of different values and you should know the standard value of each part. If you are using the AIAG method, you must at exactly 20 trials per part. If you are using the regression method, the minimum is 15 trials per part. However, to obtain good estimates of bias and repeatability, 20 trials per part is recommended.

Addition requirements are as follows:

  • Data collected for at least eight different parts

  • Smallest part are all bad

  • Largest part are all good

  • For AIAG method, exactly six parts have a mixture of good and bad units. For regresion method, more than six parts are allowed

  • If a lower tolerance limit is specified, the part with the smallest standard value are all bad and the part with the largest standard value are all good. Also the number of good parts should increase as the standard value increases

  • If a upper tolerance limit is specified, the opposite must be specified

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Gage R and R > Attribute Gage Study

  2. In Part, select the column containing part indicators (>=2 distinct values)

  3. In Reference, select the column containing reference values or known standards (Numeric)

  4. In Acceptance, select the column containing number of accepted trials (Integer, >=0)

  5. In Trial, select the column containing number of trials (Integer, >0)

  6. In Constant No. of Trial, enter the number of trials if it is constant (Integer, >0)

  7. In Tolerance Limit to Use, choose if you want to use the lower limit or upper limit

  8. In Tolerance Limit, enter a value for the tolerance level (Numeric)

  9. In Method, choose the method use to test the bias of the gage

  10. Click OK

Example

You want to determine the bias and repeatability of an attribute (pass/fail) measurement system. You measured 10 parts of different reference values, 15 times each. You know that the system has a lower tolerance of 0.2 and an upper tolerance of 1.0.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Quality Tools > Gage R and R > Attribute Gage Study

  3. In Part, select AW - Part_Att

  4. In Reference, select AX - Reference_Att

  5. In Acceptance, select AY - Acceptance_Att

  6. In Constant No. of Trial, enter 20

  7. In Tolerance Limit, enter 0.2

  8. Click OK

Results & Interpretation

The bias and repeatability is shown in the output. The p-value for the test for bias is 0, suggesting that bias is present in the measurement system.


Attribute Agreement Analysis

Overview

The Attribute Agreement Analysis is used to assess the accuracy of subjective ratings (with or without natural ordering) by operators. In general, it is more likely that subjective ratings are accurate and useful if there is substantial agreement in measurements among appraisers. Examples of subjective rating are such as taste of coffee, quality of colouring, etc.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Attribute Agreement Analysis

  2. In Rating, select the column containing rating data

  3. In Sample, select the column containing sample indicators

  4. In Appraiser, select the column containing appraiser indicators

  5. In Standard, select the column containing known standard or master value for each sample (Numeric)

  6. Check Attribute Data is Ordered, if your measurement data have more than two levels and are ordinal

  7. Check Show Kappa and Kendall, if you want to display the kappa coefficient tables and Kendall's coefficient tables

  8. Click OK

Example

You work in a garment factory and you have just trained 4 new quality controllers. The quality controllers need to determine is the garments are ‘up-to-standard’. You want to assess if these new quality controllers are ready for the job. You asked each quality controller to give their ratings on 10 garments on a five-point scale (-2, -1, 0, 1, 2).

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Quality Tools > Attribute Agreement Analysis

  3. In Rating, select AZ - Rating

  4. In Sample, select BA - Garment

  5. In Appraiser, select BB - Controller

  6. In Standard, select BC - Standard

  7. Check Attribute Data is Ordered

  8. Check Show Kappa and Kendall

  9. Click OK

Results & Interpretation

The Each Appraiser VS Standard assessment agreement table shows that Frances was only able to matched 5 out of the 10 assessments while Mary was able to match all of them. The confidence interval of %Matched is shown in the table and also plotted as a chart. Based on this study, you conclude than Frances is in most need of more training.


Mind Mapping

Overview

The Mind Mapping tool is interactive and can be used to draw relational maps such as mind maps, CTQ tree, drivers map, cause and effect diagram such as fishbone and 5 whys or even organisation charts.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Mind Mapping

  2. A new mind mapping worksheet will be created with one Parent node

  3. The following figure shows a parent node and two child nodes. Read the instruction below.

    1. To add a child node, enter text in the cell below the node (parent), shown highlighted in yellow

    2. To delete a node (and all its child nodes), enter '#' in the cell below the node you want to delete

    3. To change the text of a node, enter '\' followed by the new text

  4. Mind Mapping - Fishbone and Mind Mapping - 5 Whys are similar in nature and the only difference is that they have pre-populated nodes.

Example

The figure below shows a 5 Whys diagram to investigate the root cause of being late for work. To start creating a similar diagram, start by choosing Choose ProcessMA > Quality Tools > Mind Mapping - 5 Whys


Process Mapping

Overview

The Process Mapping tool helps you draw diagrams like process maps, value stream maps, etc. You can type directly in the drawing worksheet and let ProcessMA draw automatically for you or you can draw using the Toolbar.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Process Mapping > New

Method 1: Create a process map using the toolbar

  • To launch the toolbar (shown in the figure below), choose ProcessMA > Quality Tools > Process Mapping > Toolbar

  • Dialog box toolbar for ProcessMA (Excel 32-bit)

  • Left panel toolbar for ProcessMA64 (Excel 64-bit)

  • To draw symbols, click on the appropriate symbol (SB) buttons

  • To view more symbols, click on the tabs on the top of the toolbar

  • To add colours to an existing symbol, select the symbol first (by clicking on the outline of the shape) and click on the appropriate colour buttons

  • To draw connectors, click on the appropriate connector buttons and click on the connection points of any existing symbols you wish to connect

  • To enable option to snap (align) symbols drawn to the gridlines on the worksheet, click on the snap-to-grid button

Method 2: Draw as you type

  • To draw a standard symbol, type anywhere on the worksheet and let ProcessMA draw automatically

  • To draw-as-you-type, select On in Cell I1. Conversely, to disable draw-as-you-type, select Off in Cell I1

  • You can also specify the size of the symbol drawn. Enter the number of grid intervals you want to set for the the height and width in Cell I2 and Cell I3 respectively

  • To draw multiple symbols at once, copy / paste a list of words onto the process mapping worksheet

  • To draw specific symbols, type the appropriate prefix followed by '>' and the text you wish to insert into the symbol. The prefixes are displayed in the toolbar. Example, if you type 'pd>Approve case', a Pre-defined symbol will be drawn with the entered text embedded

  • You can also draw specific symbols by typing keywords. For example, if you type "Create document", a Document symbol will be drawn with the entered text embedded. The word 'document' is a listed keyword for the Document symbol. You can customize your own keywords using the toolbar. Remember to click the Save button to store your changes. To restore keywords to original settings, click the Default button. To exit without saving, click the Close button.

  • Draw a connecting symbol: Type in the nearby cells of an existing symbol (shown highlighted) to draw a connected new symbol

  • Change existing symbol: Type the appropriate prefix in the cells below an existing symbol (shown highlighted) to change it to a new symbol

Example

The figure below is a process map drawn using ProcessMA.


Gantt Chart

Overview

The worksheet helps you to draw a Gantt chart. A Gantt chart is useful for project planning and monitoring.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

For ProcessMA (Excel 32-bit)

  1. Choose ProcessMA > Quality Tools > Gantt Chart > New

  2. Setting up the Gantt Chart for your project:
    Enter the overall start date of project in Cell C1
    Select the calendar interval in Cell D1
    Select the definition of non-working days in Cell E1

  3. Create a task:
    A. In ID (Column A), enter the serial number of the task
    B. In Task (Column B), enter a description of the task
    C. In Start Date (Column C), enter the date the task begins
    D. In End Date (Column D), enter the date the task ends
    E. In Duration (Column E), enter the number of days the task will take
    F. In Completion (Column F), enter how much the task has been completed, in percent
    G. In Milestone (Column G), enter ‘Yes’ if the task is a milestone. Otherwise, leave it blank
    H. In Remarks (Column H), enter miscellaneous information about the task
    I. In Predecessor (Column I), enter the ID of the task which must be completed before this task can begin. To Multiple entries must be separated by commas (,)
    H. The Gantt chart will be displayed in Columns L:IV

  4. Draw timeline on the chart directly :
    Instead of entering the start and end date of each task in Column C:D, you can alternatively specify the timeline directly on the Gantt chart in Columns L:V. To do so, type 'S' in the appropriate cell to indicate the start of the task and type 'E' in the appropriate cell to indicate the end of the task. The timeline will automatically be drawn on the Gantt chart and the start and end date updated in Columns B:C

  5. Updating the Gantt chart
    The Gantt chart needs to be updated manually by choosing ProcessMA > Quality Tools > Gantt Chart > Update in the following scenarios:
    (A) Changes in predecessor
    (B) Changes in master and sub tasks
    (C) Update multiple task at once (E.g. copy and paste details of multiple tasks onto Gantt Chart)

  6. Create a subtask:
    You can create master task and sub task by manipulating the task IDs. The method is similar to standard numbering system. For example, task IDs ‘1.1’, ‘1.2’, ‘1.3’ are sub tasks to task ID ‘1’. Similarly, task ID ‘1.1.1’, ‘1.1.2’, ‘1.1.3’ are sub tasks to task ID ‘1.1’. Note that tasks must be arranged together and in ascending order. Note: You may need to manually update the Gantt chart by choosing ProcessMA > Quality Tools > Gantt Chart > Update

  7. Determine slack and conflict:
    If you have predecessor task in your project, you need to update your Gantt chart to determine the slack and conflict. If there is any slack or conflict for any task, it will be displayed in Log (Column J) For example:
    (A) 'S – 10': This task has a predecessor task which must be completed before it can start. However, there is a slack of 10 days from the end of the predecessor task and its start. Therefore, you can consider to let this task start 10 days earlier.
    (B) 'C– 5': This task has a predecessor task which must be completed before it can start. However, this task is planned to start 5 days before its predecessor is completed. Therefore, you need to postpone this task by 5 days to resolve the conflict.
    (C) 'U': This task is a master task and there is a mismatch between its timeline and its sub tasks’ timeline. The conflict may arise if any sub tasks has an earlier start date or a later end date than their master task.

For ProcessMA64 (Excel 64-bit)

  1. Choose ProcessMA > Quality Tools > Gantt Chart

  2. In ID (Column A), enter the serial number of the task. Example, use 1, 2, 3, ... to label master task and 1.1, 1.2, 1.3, ... to label subtasks for task 1.

  3. In Task (Column B), enter a description of the task

  4. In Start Date (Column C), enter the date the task begins

  5. In Duration (Column D ), enter the number of calendar days the task will take

  6. End Date (Column E ), will be automatically calculated

  7. In Completion (Column F), enter how much the task has been completed, in percent

  8. In Remarks (Column H), enter miscellaneous information about the task

  9. The Gantt Chart on the right will be automatically updated as tasks are added

Example

The figure below shows a Gantt chart drawn using ProcessMA for Excel 32-bit.


Quality Template

Templates

Overview | How to | Example

Overview

ProcessMA provides a list of useful templates to aid you in various stages of your project and planning process. Some of these templates can be customized to user requirements.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Quality Tools > Template and select the template you want to create

  2. For C and E Matrix and Pugh Matrix, enter the number of columns and number of rows to form the matrix and click OK

  3. For Pair-wise Comparison, enter the number of factors to compare and click OK

  4. For QFD, enter the number of columns and number of rows to form the matrix, select the relevant sections to display and click OK

  5. For the remaining template, a blank template will be created automatically

Example

You want to create a 5 by 5 C and E matrix to prioritise your projects.

  1. Choose ProcessMA > Quality Tools > Template > C and E Matrix

  2. In Number of Columns (Effects), enter 5

  3. In Number of Rows (Causes), enter 5

  4. Click OK


Run Chart

Overview

The Run Chart plots individual observations in run order and is used to identify common cause and special cause variations. It can also perform tests for trends, oscillation, mixtures and clustering (special causes or non-random behaviors).

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Graphs > Run Chart

  2. In Variable, select the column containing the data (Numeric)

  3. Check Plot Mean, if you want to plot mean line

  4. Click OK

Example

You are the quality control engineer in an electronic manufacturing plant. You need to ensure that the switches manufactured are durable. You collected data from the testing laboratory on the number of times the switches are used before breaking down. You want to generate a Run Chart to study the variation.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Graphs > Run Chart

  3. In Variable, select E - Switches

  4. Check Plot Mean

  5. Click OK

Results & Interpretation

The P-value for clustering is 0.033. If the desired level of significance is 0.05, it suggests that there are special causes in the process.


Pareto Chart

Overview

The Pareto Chart is a type of bar charts where bars are categories and the height of the bar represents its frequency. The bars are sequenced in descending order and there is also a cumulative percentage line that indicates the added contribution of each category to the total. The Pareto Chart is usually used to identify the ‘vital few’ from the ‘trivial many’. For example, if categories are different types of defects, it helps you identify the most frequently occurring defect to help you focus improvement efforts.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Graphs > Pareto Chart

  2. In Variable, select the column containing the data (Numeric)

  3. In Frequency, select the column containing frequency counts (Optional, Integer)

  4. In % To Comine, enter value to combine categories with percent contribute less than or equals to it (Optional, Numeric, >0, <1)

  5. Click OK

Example

You found out that one of the reasons for processing delays is due to incomplete application forms. You collected data on the type of information missing in the application forms received for the past 2 weeks. You want to use the Pareto Chart to identify the types of information that are most frequently missing.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Graphs > Pareto Chart

  3. In Variable, select A - Missing

  4. Click OK

Results & Interpretation

Since 76% of the missing information in application forms are ‘bank code’ and ‘invoice number’, you may want to focus improvement efforts on resolving these two issues first.


Multi-Vari Chart

Overview

The Multi-Vari chart is used to display ANOVA data for up to 4 factors. It is commonly used as a preliminary analysis of the data to assess the means for each factor level. Each factor should have at least 2 distinct levels.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Graphs > Multi-Vari Chart

  2. In Variable, select the column containing the response data (Numeric)

  3. In Factor 1 , select the column containing factor levels of the first factor (>=2 distinct values)

  4. In Factor 2 , select the column containing factor levels of the second factor (Optional, >=2 distinct values)

  5. In Factor 3 , select the column containing factor levels of the third factor (Optional, >=2 distinct values)

  6. In Factor 4 , select the column containing factor levels of the fourth factor (Optional, >=2 distinct values)

  7. Click OK

Example

You conducted an experiment to study how well organisms multiple in different temperatures and in the presence of different catalysts. You prepared 18 dishes of organisms and placed them at three different temperatures and added three different types of catalyst. You recorded the number of organism in each dish after 10 days. You want to visualise the data to see if there are any trends and interactions.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Graphs > Multi-Vari Chart

  3. In Variable, select L - Organism

  4. In Factor 1 , select M - Temperature

  5. In Factor 2 , select N - Catalyst

  6. Click OK

Results & Interpretation

Copyright © ProcessMA


Histogram

Overview

The Histogram is a type of bar charts where bars are intervals of continuous data and the height of the bars represent the frequency for that interval. It can also plot a fitted probability density function that can be used to assess how well the data follows a normal distribution. The Histogram can be used to visualise the distribution of the data.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Graphs > Histogram

  2. In Variable, select the column containing the data (Numeric)

  3. In Interval, select the column containing user specified interval classes (Optional, Numeric)

  4. Check Plot Normal Curve, if you want to plot normal curve in the histogram

  5. Click OK

Example

You work in manufacturing plant and you need to make sure that the diameter of the parts manufactured is 300mm ± 3mm to meet technical specifications. You want to generate a histogram to visualise the distribution.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Graphs > Histogram

  3. In Variable, select D - Diameter

  4. Check Plot Normal Curve

  5. Click OK

Results & Interpretation

Copyright © ProcessMA


Pie Chart

Overview

The Pie Chart can be used to visualise the contribution of various categories to the whole.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Graphs > Pie Chart

  2. In Variable, select the column containing the data (Numeric)

  3. In Frequency, select the column containing frequency counts (Optional, Integer)

  4. In % To Comine, enter value to combine categories with percent contribute less than or equals to it (Optional, Numeric, >0, <1)

  5. Click OK

Example

You are the sales manager and you have collected past 3 months data on the sales made by various account managers. You want to use the Pie Chart to visualise the contribution to sales by the various account managers working for you.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Graphs > Pie Chart

  3. In Variable, select F - Account Manager

  4. Click OK

Results & Interpretation

Copyright © ProcessMA


Time-Series Plot

Overview

The Time Series Plot plots observations in the order of time.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Graphs > Time-Series Plot

  2. In Variable, select the column containing the data (Numeric)

  3. In Time Stamp, select the column containing time stamp data (Date)

  4. Click OK

Example

You gathered sales data for the last 24 months. You want to use the Time Series Plot to see the performance for the past 24 months.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Graphs > Time-Series Plot

  3. In Variable, select Q - Revenue

  4. In Time Stamp, select R - Month

  5. Click OK

Results & Interpretation

Copyright © ProcessMA


Scatter Plot

Overview

The Scatter Plot plots observations based on its x and y coordinates.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Graphs > Scatter Plot

  2. In Variable (Y), select the column containing y variable data (Numeric)

  3. In Variable (X), select the column containing x variable data (Numeric)

  4. Click OK

Example

You want to model the relationship between the size of the valve and the speed of the machine. You collected data on various settings of the valve size and the resultant speed of the machine. You want to visualise the relationship in a Scatter Plot.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Graphs > Scatter Plot

  3. In Variable (Y) , select O - Speed

  4. In Variable (X) , select P - Valve

  5. Click OK

Results & Interpretation

Copyright © ProcessMA


Dotplot

Overview

The Dotplot is similar to the histogram but frequency is represented by the number of dots. A dot represents one observation or a group of observations if they are of the same or about the same value. The dots are plotted along the x-axis which are divided into intervals and dots are stacked vertically if there is more than one in the same interval. The Dotplot is useful for comparing and assessing distributions.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Graphs > Dotplot

  2. For data in single stacked column

    • In Variable, select the column containing the data (Numeric)

    • In Subgroup, select the column containing subgroup indicators (Optional)

  3. For data in different columns

    • In Variables, select the columns containing the response data (Numeric, >= 2 variables)

  4. Click OK

Example

A company makes steel bolts using four different machines. You want to assess if the dimensions of the steel bolts made by different machines are the same. You want to use the Dotplot to compare the distributions.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Graphs > Dotplot

  3. In Variable, select B - Dimension

  4. In Subgroup, select C - Machine

  5. Click OK

Results & Interpretation

Copyright © ProcessMA


Boxplot

Overview

The boxplot (also called the box-and-whisker plot) represents the distribution of data as a box and whiskers. It is useful for comparing the distribution of various groups of data.

  • Outlier - Unusually small or large observation

  • Upper control - Upper limit which is = Q3 + 1.5 (Q3 - Q1)

  • Q3 - Third quartile, where 75% of the data are less than or equals to this value

  • Q2 - Median, where 50% of the data are less than or equals to this value

  • Q1 - First quartile, where 25% of the data are less than or equals to this value

  • Lower control - Lower limit which is = Q1 - 1.5 (Q3 - Q1)

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Graphs > Boxplot

  2. For data in single stacked column

    • In Variable, select the column containing the data (Numeric)

    • In Subgroup, select the column containing subgroup indicators (Optional)

  3. For data in different columns

    • In Variables, select the columns containing the response data (Numeric, >= 2 variables)

  4. Check Show Outliers, if you want to plot outliers, which are represented as *

  5. Check Show Median Label, if you want to show median values

  6. Check Show Mean Label, if you want plot and show mean values

  7. Click OK

Example

A company makes steel bolts using four different machines. You want to assess if the dimensions of the steel bolts made by different machines are the same. You want to use Boxplot to compare the distributions.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Graphs > Boxplot

  3. In Variable, select B - Dimension

  4. In Subgroup, select C - Machine

  5. Check Show Outliers

  6. Check Show Median Label

  7. Check Show Mean Label

  8. Click OK

Results & Interpretation

Copyright © ProcessMA


Matrix Plot

Overview

The Matrix Plot is made up of individual scatter plots for several variables. It is useful for visualising the relationship among many variables, pairwise, all in the same chart.

Note: Limited to 10 variables at one time.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Graphs > Matrix Plot

  2. In Variables, select the columns containing the data (Numeric, >=2 Variables)

  3. Check Plot Partial, if you want to plot lower half the matrix plot only

  4. Click OK

Example

You know that sales revenue is dependent on the number of sales representatives on the field, the amount spent on marketing and the range of products offered. You gathered data from 30 branches and you want to visualise the relationship between sales revenue and its factors.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Graphs > Matrix Plot

  3. In Variables, select G - Sales, H - Reps, I - Marketing, J - Products

  4. Check Plot Partial

  5. Click OK

Results & Interpretation

Copyright © ProcessMA


Probability Plot

Overview

This can be used to display a probability plot for variables.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Graphs > Probability Plot

  2. In Variable, select the column containing the data (Numeric)

  3. In Distribution, choose the distribution to fit

  4. In Confidence Level, enter the desired confidence level (Numeric, >0 & <1)

  5. Check Show Confidence Interval, if you want to display confidence interval in the probability plot

  6. Enter the know historical parameters for the respective distribution is required (Optional, Numeric)

  7. Click OK

Example

You work in a manufacturing plant making widgets and you collected failure times for 50 widgets. You want to determine if a Normal distribution fits your data.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. In Variable, select CD - Failure Times

  3. In Distribution, choose Normal

  4. Check Show Confidence Interval

  5. Click OK

Results & Interpretation

The data fits a normal distribution with mean of 161.6 and standard deviation of 21.527 fairly well.


Parametric Distribution Analysis (Right Censoring)

Overview

This tool performs Parametric Distribution Analysis for uncensored and right censored data. It can be used to determine an appropriate distribution to fit your data by assessing how closely the plot points fit the cumulative density function. You can also use the Anderson-Darling or Pearson correlation coefficient to assess the goodness-of-fit. In addition, you can estimate percentiles and survival probabilities and visualise your data in survival, cumulative failure and hazard plots.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Reliability and Survival > Distribution Analysis (Right Censoring) > Parametric Distribution Analysis

  2. In Variable, select the column containing the data (Numeric)

  3. In Frequency, select the column containing frequency counts (Optional, Positive integer)

  4. In Assumed Distribution, choose the distribution to fit

  5. Under Censor Tab, in Censor, select the column containing censoring indicator (Optional, Exactly 2 distinct values - censored and uncensored)

  6. Under Censor Tab, in Censor Value, choose the indicator you use to indicate censoring

  7. Under Estimate Tab, in Estimation Method, choose the method used to estimate distribution parameters

  8. Under Estimate Tab, in Method, choose the method used to estimate plot points

  9. Under Estimate Tab, in Set Shape/Scale At, enter a known shape and scale parameter for the variable (Optional, Numeric)

  10. Under Result Tab, check Show Parameter Estimates, if you want to estimate distribution parameters

  11. Under Result Tab, check Show Characteristics, if you want to calculate distribution characteristics

  12. Under Result Tab, check Estimate Percentiles, if you want to calculate percentile values for specific percent

  13. Under Result Tab, in Percent, enter the percent values you want to calculate percentiles (Optional, Numeric, >0 & <100, Separate multiple entries with commas)

  14. Under Result Tab, check Estimate Survival Probabilities, if you want to calculate survival probabilities for values for specific times

  15. Under Result Tab, in Times, enter the time value you want to calculate survival probabilities (Optional, Numeric, >0, Separate multiple entries with commas)

  16. Under Result Tab, in Confidence Level, enter the desired confidence level (Numeric, >0 & <1)

  17. Under Graph Tab, check Probability Plot, if you want to display probability plot

  18. Under Graph Tab, check Probability Density Plot, if you want to display probability density plot

  19. Under Graph Tab, check Survival Plot, if you want to display survival plot

  20. Under Graph Tab, check Cumulative Failure Plot, if you want to display cumulative failure plot

  21. Under Graph Tab, check Hazard Plot, if you want to display hazard plot

  22. Under Graph Tab, check Show Confidence Interval, if you want to display confidence interval in the above plots

  23. Click OK

Example

You work in a manufacturing plant making widgets and you want to find out the time at which 5% of widgets will fail. You have collected failure times for 50 widgets but some widgets dropped out of the test. The failure times marked ‘F’ indicates actual failure times and ‘C’ indicates censored units. You want to find out the times at various percentages of widgets fail and the proportion of widgets that survive more than 150 months.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Reliability and Survival > Distribution Analysis (Right Censoring) > Parametric Distribution Analysis

  3. In Variable, select CD - Failure Times

  4. In Assumed Distribution, choose Lognormal

  5. Under Censor Tab, in Censor, select CE - Censor

  6. Under Censor Tab, in Censor Value, choose C

  7. Under Result Tab, check Show Parameter Estimates

  8. Under Result Tab, check Show Characteristics

  9. Under Result Tab, check Estimate Percentiles

  10. Under Result Tab, check Estimate Survival Probabilities

  11. Under Result Tab, in Times, enter 150

  12. Click OK

Results & Interpretation

From the table of percentiles, you can see that it takes 124.3363 months for 5% of the widgets to fail. From the table of survival probabilities, you can see that 70.34% survive more than 150 months.


Nonparametric Distribution Analysis (Right Censoring)

Overview

If you have uncensored or right censored data and no distribution fits your data, the Nonparametric Distribution Analysis can be used to estimate cumulative failure probabilities, hazard rates and draw survival, cumulative failure and hazard plots.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Reliability and Survival > Distribution Analysis (Right Censoring) > Nonparametric Distribution Analysis

  2. In Variable, select the column containing the data (Numeric)

  3. In Frequency, select the column containing frequency counts (Optional, Positive integer)

  4. Under Censor Tab, in Censor, select the column containing censoring indicator (Optional, Exactly 2 distinct values - censored and uncensored)

  5. Under Censor Tab, in Censor Value, choose the indicator you use to indicate censoring

  6. Under Estimate Tab, in Confidence Level, enter the desired confidence level (Numeric, >0 & <1)

  7. Under Graph Tab, check Survival Plot, if you want to display survival plot

  8. Under Graph Tab, check Cumulative Failure Plot, if you want to display cumulative failure plot

  9. Under Graph Tab, check Hazard Plot, if you want to display hazard plot

  10. Under Graph Tab, check Show Confidence Interval, if you want to display confidence interval in the above plots

  11. Click OK

Example

You work in a manufacturing plant making widgets and you want to find out the time at which 5% of widgets will fail. You have collected failure times for 50 widgets but some widgets dropped out of the test. The failure times marked ‘F’ indicates actual failure times and ‘c’ indicates censored units. You want to find out the time at which half the widgets fail.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Reliability and Survival > Distribution Analysis (Right Censoring) > Nonparametric Distribution Analysis

  3. In Variable, select CD - Failure Times

  4. Under Censor Tab, in Censor, select CE - Censor

  5. Under Censor Tab, in Censor Value, choose C

  6. Click OK

Results & Interpretation

The estimated median failure time is 157 months.


Parametric Distribution Analysis (Arbitrary Censoring)

Overview

This tool performs Parametric Distribution Analysis for uncensored and arbitrarily censored data. It can be used to determine an appropriate distribution to fit your data by assessing how closely the plot points fit the cumulative density function. You can also use the Anderson-Darling or Pearson correlation coefficient to assess the goodness-of-fit. In addition, you can estimate percentiles and survival probabilities and visualise your data in survival, cumulative failure and hazard plots.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Reliability and Survival > Distribution Analysis (Arbitrary Censoring) > Parametric Distribution Analysis

  2. In Start, select the column containing start times (Numeric, Use * to represent left-censored data)

  3. In End, select the column containing end times (Numeric, Use * to represent right-censored data)

  4. In Frequency, select the column containing frequency counts (Optional, Positive integer)

  5. In Assumed Distribution, choose the distribution to fit

  6. Under Estimate Tab, in Estimation Method, choose the method used to estimate distribution parameters

  7. Under Estimate Tab, in Set Shape/Scale At, enter a known shape and scale parameter for the variable (Optional, Numeric)

  8. Under Result Tab, check Show Parameter Estimates, if you want to estimate distribution parameters

  9. Under Result Tab, check Show Characteristics, if you want to calculate distribution characteristics

  10. Under Result Tab, check Estimate Percentiles, if you want to calculate percentile values for specific percent

  11. Under Result Tab, in Percent, enter the percent values you want to calculate percentiles (Optional, Numeric, >0 & <100, Separate multiple entries with commas)

  12. Under Result Tab, check Estimate Survival Probabilities, if you want to calculate survival probabilities for values for specific times

  13. Under Result Tab, in Times, enter the time value you want to calculate survival probabilities (Optional, Numeric, >0, Separate multiple entries with commas)

  14. Under Result Tab, in Confidence Level, enter the desired confidence level (Numeric, >0 & <1)

  15. Under Graph Tab, check Probability Plot, if you want to display probability plot

  16. Under Graph Tab, check Probability Density Plot, if you want to display probability density plot

  17. Under Graph Tab, check Survival Plot, if you want to display survival plot

  18. Under Graph Tab, check Cumulative Failure Plot, if you want to display cumulative failure plot

  19. Under Graph Tab, check Hazard Plot, if you want to display hazard plot

  20. Under Graph Tab, check Show Confidence Interval, if you want to display confidence interval in the above plots

  21. Click OK

Example

You work in a manufacturing plant making widgets and you want to find out the times at which widgets will fail. You have inspected the widgets at regular times (every 100 hours) to see how many have failed. You want to find out the times at various percentages of widgets fail and the proportion of widgets that survive more than 450 hours.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Reliability and Survival > Distribution Analysis (Arbitrary Censoring) > Parametric Distribution Analysis

  3. In Start, select CF - Start

  4. In End, select CG - End

  5. In Frequency, select CH - Frequency

  6. In Assumed Distribution, choose Smallest Extreme Value

  7. Under Result Tab, check Show Parameter Estimates

  8. Under Result Tab, check Show Characteristics

  9. Under Result Tab, check Estimate Percentiles

  10. Under Result Tab, check Estimate Survival Probabilities

  11. Under Result Tab, in Times, enter 450

  12. Click OK

Results & Interpretation

From the table of survival probabilities, you can see that 88.63% survive more than 450 hours.


Nonparametric Distribution Analysis (Arbitrary Censoring)

Overview

If you have uncensored or arbitrarily censored data and no distribution fits your data, the Nonparametric Distribution Analysis can be used to estimate cumulative failure probabilities, hazard rates and draw survival, cumulative failure and hazard plots.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Reliability and Survival > Distribution Analysis (Arbitrary Censoring) > Nonparametric Distribution Analysis

  2. In Start, select the column containing start times (Numeric, Use * to represent left-censored data)

  3. In End, select the column containing end times (Numeric, Use * to represent right-censored data)

  4. In Frequency, select the column containing frequency counts (Optional, Positive integer)

  5. Under Estimate Tab, in Confidence Level, enter the desired confidence level (Numeric, >0 & <1)

  6. Under Graph Tab, check Survival Plot, if you want to display survival plot

  7. Under Graph Tab, check Cumulative Failure Plot, if you want to display cumulative failure plot

  8. Under Graph Tab, check Show Confidence Interval, if you want to display confidence interval in the above plots

  9. Click OK

Example

You work in a manufacturing plant making widgets and you want to find out the times at which widgets will fail. You have inspected the widgets at regular times (every 100 hours) to see how many have failed.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Reliability and Survival > Distribution Analysis (Arbitrary Censoring) > Nonparametric Distribution Analysis

  3. In Start, select CF - Start

  4. In End, select CG - End

  5. In Frequency, select CH - Frequency

  6. Click OK

Results & Interpretation

From the Turnbull Estimates table, 13.58% of widgets are estimated to fail between 500 to 600 hours. From the survival probabilities, 94.3% of widgets are estimated to survive until 300 hours.


Accelerated Life Testing

Overview

The Accelerated Life Testing is used to model failure times for products with high reliability. The product is placed under high stress conditions, called accelerating variable, to accelerate the failure process. The failure times observed can then be used to estimate the failure times at normal conditions. Accelerated test can help to save time and money to study a product that will take a long time to reach failure at normal conditions.

You can use ProcessMA Accelerated Life Testing to model uncensored/right censored data with one of the seven distributions (Weibull, Exponential, Normal, Lognormal, Logistic, Loglogistic, Smallest Extreme Value). In order to perform accelerated tests, you need to know the relationship between the accelerating variable and failure times. You can choose one of the following relationships:

  • Linear - no transformation, assumes change in failure time is proportional to accelerating variable
  • Arrhenius - commonly used to model failure as a result of a chemical reaction which depends on temperature
  • Inverse Temp - assumes failure time is inversely proportional to temperature (Kelvin)
  • Ln(Power) transformation - commonly used to model failure times of product under constant stress

ProcessMA uses maximum likelihood estimates to model parameters.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Reliability and Survival > Accelerated Life Testing

  2. In Variable, select the column containing the data (Numeric)

  3. In Frequency, select the column containing frequency counts (Optional, Positive integer)

  4. In Assumed Distribution, choose the distribution to fit

  5. In Accelerating Variable, select the column containing accelerating variable (Numeric)

  6. In Relationship, choose a relationship for the accelerating variable

  7. Under Censor Tab, in Censor, select the column containing censoring indicator (Optional, Exactly 2 distinct values - censored and uncensored)

  8. Under Censor Tab, in Censor Value, choose the indicator you use to indicate censoring

  9. Under Result Tab, in New Predictor Values, enter a new predictor value of the accelerating variable, usually the design value or normal running conditions (Optional, Numeric)

  10. Under Result Tab, in Est. Percentiles for Percent, enter the percent values you want to calculate percentiles. Use this to calculate the time for x% of units to fail. (Optional, Numeric, >0 & <100, Separate multiple entries with commas)

  11. Under Result Tab, in Est. Survival Prob for Times, enter the time value you want to calculate survival probabilities. Use this to calculate the probability that the product will survive past a specific period of time. (Optional, Numeric, >0, Separate multiple entries with commas)

  12. Under Result Tab, in Confidence Level, enter the desired confidence level (Numeric, >0 & <1)

  13. Under Graph Tab, check Relation Plot, if you want to display the relationship between the accelerating variable and failure time

  14. Under Graph Tab, check Probability Plot (Individual), if you want to display a probability plot for each level of the accelerating variable based on individual fits

  15. Under Graph Tab, check Probability Plot (Fitted), if you want to display a probability plot for each level of the accelerating variable based on the fitted model

  16. Under Graph Tab, check Standardized Residuals, if you want to display a probability plot for standardized residuals

  17. Under Graph Tab, check Cox-Snell Residuals, if you want to display a probability plot for Cox-Snell residuals

  18. Under Graph Tab, check Show Confidence Interval, if you want to display confidence interval in the above plots

  19. Click OK

Example

You work in a manufacturing plant making widgets and you want to find out the deterioration of widgets. You tested the widgets at higher temperatures to accelerate deterioration and collected their failure times. You want to extrapolate to 50 degree Celsius, which are temperatures the widgets normally operate at. It is known that the relationship between temperature and failure time follows the Arrhenius relationship.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Reliability and Survival > Accelerated Life Testing

  3. In Variable, select CI - Times

  4. In Assumed Distribution, choose Weibull

  5. In Accelerating Variable, select CJ - Temp

  6. In Relationship, choose Arrhenius

  7. Under Censor Tab, in Censor, select CK - Cen

  8. Under Censor Tab, in Censor Value, choose C

  9. Under Result Tab, in New Predictor Values, enter 50

  10. Under Graph Tab, check Probability Plot (Fitted)

  11. Click OK

Results & Interpretation

From the table of percentiles, you can see that at 50 degrees Celsius, widgets will last 150966 hours at 50% percentile.
Note: Y-axis of relation plot and X-axis of probablity plot is manually changed to log scale.


Regression with Life Data

Overview

The Regression with Life Data is used to assess whether predictors affect failure time and ultimately develop a model that can be used to predict failure time. The model can include single factor, single covariate, interaction terms and nested terms.

You can use ProcessMA Regression with Life Data to model uncensored/right censored data with one of the seven distributions (Weibull, Exponential, Normal, Lognormal, Logistic, Loglogistic, Smallest Extreme Value).

ProcessMA uses maximum likelihood estimates to model parameters.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Reliability and Survival > Regression with Life Data

  2. In Response, select the column containing the response data

  3. In Term 1 to Term 10 , select the column containing data for the respective model terms and choose if the term is a covariate or a factor (Covariate: Numeric)

  4. In Model, enter the terms to be included in the model. The Model can include factors, covariates, interactions and nested term. Multiple terms must be separated by commas. Use * to represent interactions and () to represent nesting. The model must be hierachical, if an interaction term is included, all lower order interactions and main terms must also be included.

  5. In Assumed Distribution, choose the distribution to fit

  6. In Censor, select the column containing censoring indicator (Optional, Exactly 2 distinct values - censored and uncensored)

  7. In Censor Value, choose the indicator you use to indicate censoring

  8. Check Standardized Residuals, if you want to display a probability plot for standardized residuals

  9. Check Cox-Snell Residuals, if you want to display a probability plot for Cox-Snell residuals

  10. Check Show Confidence Interval, if you want to display confidence interval in the above plots

  11. In Confidence Level, enter the desired confidence level (Numeric, >0 & <1)

  12. Click OK

Example

You work in a manufacturing plant making widgets and you want to find out the deterioration of widgets. You want to know if you can predict failure times for widgets based on the temperature and the chamber it operates in. It is known that the relationship between temperature and failure time follows the Arrhenius relationship.

  1. Open data worksheet by choosing ProcessMA > Tools > Data

  2. Choose ProcessMA > Reliability and Survival > Regression with Life Data

  3. In Response, select CL - Times2

  4. In Term 1, select BN - Temp2 and choose Covariate

  5. In Term 2, select BO - Chamber and choose Factor

  6. In Model, enter Temp2, Chamber

  7. In Assumed Distribution, choose Weibull

  8. Under Censor Tab, in Censor, select CM - Cen2

  9. Under Censor Tab, in Censor Value, choose C

  10. Click OK

Results & Interpretation

From the regression table, you can obtain the coefficients for the regression model.


ProcessMA Interactive

Overview

This feature is not available for Excel 2000 and below, and Excel 64-bit.

ProcessMA Interactive uses custom-defined formulas, named range charts and pre-formatted spreadsheets to present a dynamic, interactive and user-friendly interface. When you create a new tool from ProcessMA interactive, a new pre-formatted worksheet will be created. As you enter data into designated columns, your analysis results will be computed and displayed dynamically. If charts are present, they will also dynamically plot and display the results. The following are the key features:

  • Automatic Re-calculation
     With ProcessMA Interactive, analysis results are automatically re-calculated when you change your data and options without having to repeat the analysis process.

  • Dynamic Charts
    Charts are also dynamic. This feature is most useful for charts you need to update regularly such as the control charts. As you enter new data, the charts are dynamically re-plotted without the need to re-create them.

  • Combining Related Tools in One
    Related tools are now combined for easy access and to avoid duplication such as DOE (Design, Analyze & Factorial Plots), Power and Sample Size (All test types), etc

How to

Learning how to use ProcessMA Interactive is simple. Once you learn the know-how for one tool, the rest are similar. The following uses the Pareto Chart tool as an example to walkthrough the process.

  1. First, choose from the ProcessMA menu to select a tool of your choice

    • Choose ProcessMA > Interactive > New

    • In Category, choose Graphs

    • In Tool, choose Pareto Chart

    • Check Load Example if you wish to populate worksheet with data for the example

    • Click OK

  2. A new pre-formatted spreadsheet will be created. Like in most tools, the Pareto Chart tool has 3 sections shown highlighted in Red, Blue and Green

  3. The Green section labeled as Data, is for you to enter the data to be analyzed

    • Data must be entered in columns with the first row as the column label. Column labels can be changed as required

    • Hover the mouse cursor over the column labels (commented cells with red triangle at it's upper right corner) to view specific information

    • Data columns with labels in bold are required whereas data columns with labels not in bold are optional

  4. The Blue section labeled as Options, is for you to enter option values to customize your results

    • Option fields are organized in rows with labels on the left and values on the right

    • Hover the mouse cursor over the labels (commented cells with red triangle at it's upper right corner) to view specific information

  5. The Red section labeled as Results, is where the results are displayed

    1. As you enter data in the Data (Green) section or enter values in Options (Blue) section, the results are dynamically computed and displayed

    2. If you are interested in the data used for plotting the charts (e.g. residuals and fitted values for residuals plots), there are usually located in Columns AB and thereafter

Other useful tips

  • Data input limited to first 10,000 rows
    To optimize speed, ProcessMA interactivity worksheets are limited to 10,000 rows of data input by default design. However, if you are familiar with User-Defined-Formula with array output, you can increase data input range to include the entire column. For example, to use the entire column for data input, you can change the UDF for Pareto Chart from "=PMAPareto(K1:K10000,L1:L10000,I2)" to "=PMAPareto(K:K,L:L,I2)". To change the UDF, first highlight the entire range of target cells, then press F2, then modify the UDF and finally press Ctrl-Shift-Enter.
  • Speed up data entry
    If you are performing complex analytical tools like General Linear Model or Accelerated Life Testing for a large amount of data, the auto-recalculation may slow down your data entry process. Therefore, if you are entering a large amount of data for analysis, you can temporary switch Excel calculation option to Manual during data entry. When you have completed the data entry, switch Excel calculation option back to Automatic or press F9 to calculate the results. See the following instruction to change Excel Calculation Option to Manual

  • For Excel 2002/2003: Choose Tools > Options, select Calculation tab, Manual option and click OK

  • For Excel 2007: Select Formulas ribbon, under Calculation Options, select Manual

  • Plotting more data points
    Most ProcessMA Interactive charts are set up (by default) to plot the first 1,000 data points. If you need to plot more data points, press Ctrl-r or choose ProcessMA > Interactive > Extend Output. Note: Worksheets must be unprotected first
  • Sharing ProcessMA worksheets
    Users need to have ProcessMA installed on their computers in order to update and use the Interactive worksheets and charts created by ProcessMA. You can share these worksheets with non ProcessMA user for viewing only, however, they should NOT update links when opening the workbooks.

  • Data Requirement
    Hover the mouse cursor over commented cells (cells with red triangle at it's upper right corner) to view specific information.
    Data columns with labels in bold are required and data columns with labels not in bold are optional

  • Protection
    Worksheets can be protected to prevent unintended changes. In a protected worksheet, only cells that require inputs will be accessible

Example

You collected data on time (in minutes) to resolve a customer enquiry in a call centre. You want to describe this set of data. You want to use ProcessMA Interactive tool because you intend to collect and add more data in the next few days.

  1. Choose ProcessMA > Interactive > New

  2. In Category, select Statistics

  3. In Tool, select Descriptive Statistics

  4. Enter data in Column H (labeled as Variable)

Results

Descriptive statistics and a histogram of the data will be displayed in Columns A:F


ProcessMA Tool Selector

Tool Selector

Overview | How to | Example

Overview

The tool selector can help you to select the appropriate tool in ProcessMA based on your objective and data type. You can select the tool by Six Sigma DMAIC phases or by functional categories.

How to

At the Excel Menu (For Excel 2007, go to Add-ins first)

  1. Choose ProcessMA > Tools > Tools Selector > By DMAIC or By Function

  2. Click on the left-hand side buttons to select tools for that category.

  3. Click on the flow diagram based on your objective and/or data type (current selection is highlighted in blue)

  4. Click on the right-hand side buttons to launch the desired tool

  5. The selected tool will be launch automatically. ProcessMA will return you to the Tool Selector again once you are done.

  6. To close the Tool Selector, press ESC or Close the dialog box.

Example

You are in the improve phase of a Six Sigma DMAIC project. Use the ProcessMA selector to select a tool to analyze the potential failure modes of your new process.

  1. Choose ProcessMA > Tools > Tools Selector > By DMAIC

  2. Click IMPROVE button on the left-hand side.

  3. Click Failure Mode & Effect Analysis button on the bottom row to launch the tool.


Worksheet Manager

The Worksheet Manager is a tool to help you to organize and locate worksheets easily.

To launch the worksheet manager, choose ProcessMA > Tools > Worksheet Manager. Read the following instructions to operate the tool:

For ProcessMA (Excel 32-bit)

  1. Create New Folder: Select where you want the new folder to be located and click New Folder. Enter folder name in the inputbox and click OK.

  2. Delete Folder: Select the folder you want to delete and click Delete Folder.

  3. Rename Folder: Select the folder and then Rename Folder. Enter new folder name in the inputbox and click OK.

  4. Move Down: Click to move worksheet or entire folder down. It can also be used to move the last worksheet in a folder out of it or move the a preceding worksheet into a folder.

  5. Move Up: Click to move worksheet or entire folder up. It can also be used to move the first worksheet in a folder out of it or a subsequent worksheet into a folder.

  6. Select Worksheet: Double-click on any worksheet name to select it.

For ProcessMA64 (Excel 64-bit)

  1. Rename Worksheet: Select the worksheet on the left panel and click Rename Folder. Enter new name in the inputbox and click OK.

  2. Delete Worksheet: Select the worksheet on the left panel and click Delete.

  3. Re-order Worksheets: Select the worksheet on the left panel and drag-and-drop as desired.

  4. Select Worksheet: Double-click on any worksheet on the left panel to select it.

  5. Refresh: If you manually rename, delete or re-order the worksheets, click Refresh to update the left panel.